var cityer = new bizCitys();
var cityList = {};
var currentCity = '';
var currentCityId = '';
//上级省份
var fatherProvince = '';
var fatherProvinceId = "";

//城市列表
appcan.ready(function() {
    uexIndexBar.onTouchResult = function(opId, dataType, data) {
        location.href = "#" + data;
    };
    getCityList();
    showCityList();
});

//获取城市列表
function getCityList() {
    var provdata = localStorage.getItem("cityList2");
    if (IsNull(provdata)) {
        thenToast("获取城市列表出错,请重试", 0);
        return;
    }
    //上级省份
    fatherProvince = JSON.parse(provdata).province;
    fatherProvinceId = JSON.parse(provdata).provId;
    var data = JSON.parse(provdata).provData;
    localStorage.removeItem("cityList2");
    data = JSON.parse(data);
    var citys = new Array();
    for (var i = 0; i < data.data.length; i++) {
        var city = {
            "name" : data.data[i].cityName,
            "code" : data.data[i].pinyinCode,
            "cityid" : data.data[i].cityID
        };
        citys.push(city);
    };
    cityList.citys = citys;
}

//加载城市列表
function showCityList() {
    var str = '';
    $("#citylist1").empty();
    for (var i in cityList.citys) {
        arr[cityList.citys[i].code] += '<ul>' + '<li class="ub list" onclick="getCityDetail(' + cityList.citys[i].cityid + ',&quot' + cityList.citys[i].name + '&quot)">' + cityList.citys[i].name + '</li>' + '</ul>';
    }
    for (var i in arr) {
        var aa = arr[i];
        if (!IsNull(aa)) {
            str += '<div id="' + i + '" class="title">' + i + '</div>' + aa;
        }
    }
    //showLog("得到的字符串", str);
    $('#citylist1').html(str);
    openCityIndexBar();
    //侧边导航栏
}

//获取城市下面的区县
function getCityDetail(cityId, cityname) {
    //针对朋友圈返回
    //页面调用需要传的参数
    var dataFrom = localStorage.getItem("citySlect");
    if (!IsNull(dataFrom)) {
        dataFrom = JSON.parse(dataFrom);
    } else {
        thenToast("数据获取错误,请重试", 0);
        return;
    }
	console.log(dataFrom);
    var type = dataFrom.type;
    var placeId = dataFrom.placeId;
    if(placeId == "citySl"){
        appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "showinfo('" + placeId + "','" + cityname + "')");
        appcan.window.evaluateScript("selectProvince", "appcan.window.close(-1);", 0);
        appcan.window.evaluateScript("selectCity", "appcan.window.close(-1);", 0);
        return;
    }
    currentCityId = cityId ;
    currentCity = cityname;
    cityer.getQXinfo(cityId, cityDetSucc, cityDetFail);
}

//获取成功
function cityDetSucc(data) {
    showLog("城市详情", data);
    if (IsSuccess(data) == 1) {
        var cityData = {
            "faCity" : currentCity,
            "faCityId":currentCityId,
            "faProv" : fatherProvince,
            "faProvId":fatherProvinceId,
            "qxdata" : data
        };
		console.log(cityData);
        localStorage.setItem("cityList3", JSON.stringify(cityData));
        appcan.window.open("selectDistrict", "selectDistrict.html");
    }
}

//获取失败
function cityDetFail(data) {
    connectFail("获取城市的区县失败,请稍后重试");
}