//区县
var QXList = {};
//上级城市
var fathercity = '';
var fathercityId = '';
//上级省份
var fatherProv = '';
var fatherprovId = '';

appcan.ready(function() {
    uexIndexBar.onTouchResult = function(opId, dataType, data) {
        location.href = "#" + data;
    };
    getQXList();
    //获取区县数据
    showQxList();
    //渲染区县
});

//获取区县列表
function getQXList() {
    var citydata = localStorage.getItem("cityList3");
    if (IsNull(citydata)) {
        thenToast("获取城市列表出错,请重试", 0);
        return;
    }
    localStorage.removeItem("cityList3");
    //上级城市
    fathercity = JSON.parse(citydata).faCity;
    fathercityId = JSON.parse(citydata).faCityId;
    //上级省份
    fatherProv = JSON.parse(citydata).faProv;
    fatherprovId = JSON.parse(citydata).faProvId;
    var data = JSON.parse(citydata).qxdata;
    data = JSON.parse(data);
    var qxlist = new Array();
    for (var i = 0; i < data.data.length; i++) {
        var qx = {
            "name" : data.data[i].districtName,
            "code" : data.data[i].pinyinCode,
            "qxid" : data.data[i].districtId
        };
        qxlist.push(qx);
    };
    QXList.citys = qxlist;
}

//渲染区县
function showQxList() {
    var str = '';
    $("#citylist2").empty();
    for (var i in QXList.citys) {
        arr[QXList.citys[i].code] += '<ul>' + '<li class="ub list" onclick="slectQx(' + QXList.citys[i].qxid + ',&quot' + QXList.citys[i].name + '&quot)">' + QXList.citys[i].name + '</li>' + '</ul>';
    }
    for (var i in arr) {
        var aa = arr[i];
        if (!IsNull(aa)) {
            str += '<div id="' + i + '" class="title">' + i + '</div>' + aa;
        }
    }
    //showLog("得到的字符串", str);
    $('#citylist2').html(str);
    openCityIndexBar();
    //侧边导航栏
}

//区县点击事件
function slectQx(qxid, cityname) {
    //页面调用需要传的参数
    var dataFrom = localStorage.getItem("citySlect");
    if (!IsNull(dataFrom)) {
        dataFrom = JSON.parse(dataFrom);
    } else {
        thenToast("数据获取错误,请重试", 0);
        return;
    }
	console.log(dataFrom);
    var type = dataFrom.type;
    var placeId = dataFrom.placeId;
    var content = '';
    //需要传递的内容
    if('userArea' == placeId || 'addcity_sub' == placeId || "trueaddress" == placeId || "planqx" == placeId) { //处理显示内容：修改地址、新增地址、正常流程选择投保城市
        content = fatherProv + "-" + fathercity + "-" + cityname;
    } else {
        content = cityname;
    }
    if (type == 1) {//是子页面调用
        if(placeId == "FriendsCircle"){
            appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "showinfo('" + placeId + "','" + content + "')");
        } else if(!IsNull(dataFrom.fatherPlaceId) && dataFrom.fatherPlaceId == "plancity") { //正常流程选择投保城市
            appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "show('" + dataFrom.fatherPlaceId + "','" + content + "','" + fatherprovId + "','" + fathercityId + "','" + qxid + "')");
        } else{
            appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "show('" + placeId + "','" + content + "','" + fatherprovId + "','" + fathercityId + "','" + qxid + "')");
        }
    } else if (type == 0) {//是父页面调用
        appcan.window.evaluateScript(dataFrom.urlName, "show('" + placeId + "','" + content + "')", 0);
    }
    localStorage.removeItem("citySlect");
    var cityobj = {"qxname":cityname,"qxid":qxid,"cityname":fathercity,"cityid":fathercityId,"provId":fatherprovId,"provName":fatherProv};
    var cityobjstr = JSON.stringify(cityobj);
    appcan.window.evaluatePopoverScript("selectProvince", "content", "appendCity('" + cityobjstr + "');");
    //这里是存储的位置
    localStorage.removeItem('isShowAll');
    appcan.window.evaluateScript("selectProvince", "appcan.window.close(-1);", 0);
    appcan.window.evaluateScript("selectCity", "appcan.window.close(-1);", 0);
    appcan.window.evaluateScript("selectDistrict", "appcan.window.close(-1);", 0);
}