var titHeight;
appcan.ready(function() {
    titHeight = $('#header')[0].offsetHeight;
    var contengHeight = $("#index_content").offset().height;
    defaultStorageSet(titHeight, contengHeight);
    setPlatform(); //获取机型（iOS Android）
    subscribFuns(); //回调方法汇总
    if(!isOpenToBanner()) { //
        frameOpen();
        if(localStorage.getItem("platform") == 1) { //处理部分安卓手机在进程被杀死后再次打开白板的bug
            setTimeout(function() {
                frameOpen();
            }, 1000);
        }
    } else {
        localStorage.setItem("firstBannerState", "yes");
        appcan.window.open("default", "default.html");
    }
});

//广播接收汇总
function subscribFuns() {
    appcan.window.subscribe("tomainpage", function(data) {
        myTabSlect(0);
    });

    appcan.window.subscribe("mainFrameOpen", function(data) {
        frameOpen();
    });
    
    appcan.window.subscribe("indexChangeOrderList", function(data) {//改变订单头部样式
        changeCheckState(data);
    });
}

//窗口打开
function frameOpen() {
    appcan.frame.open("index_content", "index_main.html", 0, titHeight);
    window.onorientationchange = window.onresize = function() {
        appcan.frame.resize("index_content", 0, titHeight);
    }
}

//判断是否打开到启动页图片
function isOpenToBanner() {
    var firstBannerState = localStorage.getItem("firstBannerState");
    if(IsNull(firstBannerState)) {
        return true;
    } else {
        var oldVersion = localStorage.getItem("currentVersion");
        var currentVersion = versionGet();
        return false; //异步不能返回
        if(oldVersion == currentVersion) {
            return false;
        } else {
            localStorage.removeItem(firstBannerState);
            return true;
        }
    }
}

function defaultStorageSet(titHeight, contengHeight) { //本地数据初始化
    localStorage.setItem("titHeight", titHeight);
    //存储头部的
    localStorage.setItem("contentHeight", contengHeight);
    //存储content部分占用的高度
    var em = $('#title').css('font-size');
    localStorage.setItem("em", em);
    //存储单位em的大小，实际为1.0625em
    localStorage.setItem("screenWidth", parseInt(document.body.clientWidth));
    localStorage.setItem("screenHeight", parseInt(document.body.clientHeight));
}

//底部tab切换
var currentIndex = 0;
function myTabSlect(index) {
    if(currentIndex == index) {
        return;
    }
    changeHeader(index); //改变顶部样式
    changeFooter(index); //改变底部样式
    currentIndex = index;
    titHeight = $('#header')[0].offsetHeight;
    if(index == 0) {
        appcan.window.evaluateScript("index_content","appcan.window.close(-1)",0);
        appcan.frame.open("index_content", "index_main.html", 0, titHeight);
    } else if(index == 1) {
        appcan.window.evaluateScript("index_content","appcan.window.close(-1)",0);
        appcan.frame.open("index_content", "index_order.html", 0, titHeight);
    } else if(index == 2) {
        appcan.window.evaluateScript("index_content","appcan.window.close(-1)",0);
        appcan.frame.open("index_content", "index_share.html", 0, titHeight);
    } else if(index == 3) {
        appcan.window.evaluateScript("index_content","appcan.window.close(-1)",0);
        appcan.frame.open("index_content", "index_me.html", 0, titHeight);
    }
}

//订单切换
function ordercheck(index) {
    appcan.window.publish("indexGetOrderList", index);
}

//还原状态（订单管理）
function defaultcheck() {
    removeType("orderlist1", "active");
    removeType("orderlist2", "active");
    removeType("orderlist3", "active");
}

//改变nav状态（订单管理）
function changeCheckState(index) {
    defaultcheck();
    addType("orderlist" + index, "active");
}

//改变顶部内容
function changeHeader(index) {
    if(index == 0) {
        $("#title")[0].innerText = "首页";
        $("#header").css("borderBottom", "1px solid #e6e6e6");
        addType("shareTree", "uhide");
        addType("orderNav", "uhide");
    } else if(index == 1) {
        $("#title")[0].innerText = "订单";
        addType("shareTree", "uhide");
        var userInfo = localStorage.getItem("curUseInfo");
        if(IsNull(userInfo)) {
            $("#header").css("borderBottom", "1px solid #e6e6e6");
            addType("orderNav", "uhide");
        } else {
            $("#header").css("borderBottom", "0");
            removeType("orderNav", "uhide");
        }
    } else if(index == 2) {
        $("#title")[0].innerText = "管理";
        $("#header").css("borderBottom", "1px solid #e6e6e6");
        addType("orderNav", "uhide");
        var userInfo = localStorage.getItem("curUseInfo");
        if(IsNull(userInfo)){
            addType("shareTree", "uhide");
        } else {
            removeType("shareTree", "uhide");
        }
    } else if(index == 3) {
        $("#title")[0].innerText = "我的";
        $("#header").css("borderBottom", "1px solid #e6e6e6");
        addType("shareTree", "uhide");
        addType("orderNav", "uhide");
    }
}

var currentIndex = 0;
//改变底部栏
function changeFooter(index) {
    if(index == currentIndex) {
        return;
    }
    //移除元素
    removeType("footiconW1_" + currentIndex, "text_col");
    //增加元素
    addType("footiconW1_" + index, "text_col");
    currentIndex = index;
}

//底部默认
function defaultFooter() {
    for(var i = 0; i < 4; i++) {
        if($("#footicon_" + i).hasClass("icon-del")) {
            $("#footicon_" + i).removeClass("icon-del");
        }
    };
}

// 我的邀请  打开生成树
appcan.button("#shareTree", "shareTree-act", function() {
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        opentoLogin('root_directory');
        return;
    }
    appcan.window.open("agencyTree","agency/agencyTree.html",2);
});