//发现模块
var bizDiscover = Class.extend({
    exComm : "",
    init : function() {
        this.exComm = new ExCommunication("uic");
    },
    
    //通过车型查询朋友全帖子
    getPaperBycarBrand:function(pageindex,pagesize,carbrand,onsucc,onfail){
        var indata = {
            "action" : "cartype",
            "params" : [{
                
            }],
            "reqData" : {
                "cartype":carbrand,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
   
    //通过城市查询朋友圈帖子
    getPaperByCity:function(pageindex,pagesize,cityname,onsucc,onfail){
        var indata = {
            "action" : "getcity",
            "params" : [{
                
            }],
            "reqData" : {
                "city":cityname,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //发表帖子
    sendTopicMsg:function(data,onsucc,onfail){
        var indata = {
            "action" : "newFCircleMsginfo",
            "params" : [{
                
            }],
            "reqData" : data
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    
    //获取朋友圈信息
    getFriendCycle:function(carbrand,city,sex,pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "getall",
            "params" : [{
                
            }],
            "reqData" : {
                "cartype":carbrand,
                "city":city,
                "sex":sex,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取朋友圈帖子评论
    getPaperResponse:function(postid,topicid,pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "allposts",
            "params" : [{
                
            }],
            "reqData" : {
                "post_id":postid,
                "topic_id":topicid,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取热门评论 （公用）
    getHotResponse:function(postid,topicid,pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "hopcomment",
            "params" : [{
                
            }],
            "reqData" : {
                "post_id":postid,
                "topic_id":topicid,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取车辆型号（朋友圈）
    getcarBrands:function(pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "getfriendbrandname",
            "params" : [{
                
            }],
            "reqData" : {
                "pagenum":pageindex,
                "pagesize":pagesize 
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取车辆型号（全部）
    getcarBrands_all:function(pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "getAllCarBrand",
            "params" : [{
                "pagenum":pageindex,
                "pagesize":pagesize
            }],
            "reqData" : {
               
            }
        };
        this.exComm.Get(indata, onsucc, onfail);
    },
    
    //获取广场详情
    getSquareDetail:function(postid,onsucc,onfail){
        var indata = {
            "action" : "getInfor_square",
            "params" : [{
                
            }],
            "reqData" : {
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取最新活动
    getNewActive:function(type,place,pageindex,pagesize,version,onsucc,onfail){
        var indata = {
            "action" : "getBannerInfo",
            "params" : [{
                
            }],
            "reqData" : {
                "bannerType":type,
                "bannerPlacement":place,
                "pageNum":pageindex,
                "row":pagesize,
                "version": version,
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取帖子或广告详情
    getTopicDetail:function(topicid,onsucc,onfail){
        var indata = {
            "action" : "getTopicInfo",
            "params" : [{
               "topicId":topicid
            }],
            "reqData" : {
            }
        };
        this.exComm.Get(indata, onsucc, onfail);
    },
    
    //参加活动
    joinActive:function(id,onsucc,onfail){
        var indata = {
            "action" : "participateActivity",
            "params" : [{
               "campaignId":id
            }],
            "reqData" : {
            }
        };
        this.exComm.Get(indata, onsucc, onfail);
    },
    
    //广场或帖子发表评论 /姚涛
    responseTopic:function(topicid,subjectText,msg,onsucc,onfail){
        var indata = {
            "action" : "addcomment",
            "params" : [{
                
            }],
            "reqData" : {
              "postSubject": subjectText,
              "postText": msg,
              "topicId": topicid
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    
    //广场或帖子发表评论 /燕飞
    commentTopic:function(topicid,postid,msg,onsucc,onfail){
         var indata = {
            "action" : "comment",
            "params" : [{
                
            }],
            "reqData" : {
              "post_text": msg,
              "topic_id": topicid,
              "post_id":postid
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    } ,
    
    //咨询广场详情
    getSquareDetail:function(postid,topcid,onsucc,onfail){
        var indata = {
            "action" : "getInfor_squaretext",
            "params" : [{
                
            }],
            "reqData" : {
               "post_id":postid,
               "topic_id":topcid
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //获取咨询广场
    getInfoSquar:function(pageindex,pagesize,onsucc,onfail){
        var indata = {
            "action" : "getInfor_square",
            "params" : [{
                
            }],
            "reqData" : {
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //帖子点赞
    supportTopic:function(postid,topicid,points,onsucc,onfail){
        var userInfo = localStorage.getItem("curUseInfo");
        if(IsNull(userInfo)){
            opentoLogin('');
            return;
        }
        userInfo = JSON.parse(userInfo);
        var userid = userInfo.userId;
        var indata = {
            "action" : "thumbup",
            "params" : [{
                
            }],
            "reqData" : {
                "points":points,
                "postId":postid,
                "topicId":topicid,
                "postUserId":userid
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
    
    //帖子取消点赞
    unSupportTopic:function(postid,topicid,onsucc,onfail){
        var indata = {
            "action" : "cancelThumbup",
            "params" : [{
                
            }],
            "reqData" : {
                "postId":postid,
                "topicId":topicid
            }
        };
        this.exComm.Post(indata, onsucc, onfail);
    },
});