/**创建城市对象***/
var bizCitys = Class.extend({
    exComm : "",
    init : function() {
        this.exComm = new ExCommunication("uic");
    },
    
    //获取省份
    getProvinces : function(onSuccess, onError) {
    	//var dates =  Date.parse(new Date());
        var indata = {
            "action" : "getproviceList",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取城市信息
    getCities:function(provinceId,onSuccess, onError) {
        var indata = {
            "action" : "getcityList",
            "params" : [{
                "provinceId":provinceId
            }],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取区县
    getQXinfo:function(cityid,onSuccess, onError) {
        var indata = {
            "action" : "getdistrictList",
            "params" : [{
                "cityId":cityid
            }],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //模糊查询当前地址
    getvague: function(city, onSuccess, onError){
    	var indata = {
            "action" : "provicesearch",
            "params" : [{}],
            "reqData" : {
            	"ProvinceName":city
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //人工报价获取城市
    getSpeedyCity : function(onSuccess, onError) {
        var indata = {
            "action" : "manual/support_city",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
})