/**这里存放一些需要公用的js**/

var serverUrl = "http://ydche.com"; //服务器地址
var serverImgUrl = "http://ydche.com/media/mcimg/"; //图片服务器地址
var shareHead = "http://wx.ydche.com/eInsurance/eShare/ordershare.html?id="; //订单分享地址

//获取机型（iOS Android）
function setPlatform() {
    uexWidgetOne.cbGetPlatform = function(opId, dataType, data) {
        localStorage.setItem("platform", parseInt(data));
    };
    uexWidgetOne.getPlatform();
}

//打印log信息
function showLog(describe, theobj) {
    console.log(describe + "==>" + theobj);
}

/**土司定义**/
function thenToast(msg, type) { //短土司 ,一般定义为0
    type = 0;
    appcan.window.openToast(msg, 2000, 5, type);
    setTimeout(function() {
        appcan.window.closeToast();
    }, 2000);
}

function longToast(msg, position) { //长土司 ,position 一般为5
    appcan.window.openToast(msg, 0, position, 1);
    appcan.window.closeToast();
}

/**定义右边栏对象列表***/
var arr = {
    'A': '',
    'B': '',
    'C': '',
    'D': '',
    'E': '',
    'F': '',
    'G': '',
    'H': '',
    'I': '',
    'J': '',
    'K': '',
    'L': '',
    'M': '',
    'N': '',
    'O': '',
    'P': '',
    'Q': '',
    'R': '',
    'S': '',
    'T': '',
    'U': '',
    'V': '',
    'W': '',
    'X': '',
    'Y': '',
    'Z': ''
};

/**验证邮箱的正则表达式**/
var checkEmail = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
/**身份证正则表达式**/
var checkPersonid = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
//验证身份证
function IsPersonId(obj, flag) {
    if(flag == 1) {
        var valueid = $("#userNo")[0].value + obj.value;
    } else {
        var valueid = obj.value;
    }
    console.log(valueid)
    if(checkPersonid.test(valueid) === false) {
        thenToast("身份证输入不合法", 0);
        return;
    }
}

//显示城市   currentTypeId  provId  thirdID
function show(placeId, cityName, provId, cityId, thirdId) {
    $("#" + placeId)[0].value = cityName;
    if(!IsNull(provId)) {
        $("#" + placeId)[0].setAttribute("provId", provId);
    }
    if(!IsNull(cityId)) {
        $("#" + placeId)[0].setAttribute("placeId", cityId);
    }
    if(!IsNull(thirdId)) {
        $("#" + placeId)[0].setAttribute("thirdId", thirdId);
    }
}

/**判断是否为空**/
function IsNull(e) {
    if(null == e || "" == e || undefined == e) {
        return true;
    } else {
        return false;
    }
}

/**限制输入长度,min参数为最小字符长度，可不填*/
function checkTextLength(obj, length, min, flag) {
    if(flag == 1) { //判定是否是填写信息里面的第一个获取身份证
        var mes = $("#userNo")[0].value.length + obj.value.length;
    } else {
        var mes = obj.value.length;
    }
    if(mes > length) {
        thenToast('输入的长度必须小于或等于' + length + '位', 0);
        obj.value = '';
        return;
    }
    if(typeof min == 'number' && min != undefined) {
        if(obj.value.length <= min) {
            thenToast('输入的长度必须大于' + min + '位', 0);
            obj.value = '';
        }
    }
}

/**转大写**/
function upercaseInput(obj, length) {
    if(obj.value.length > length) {
        thenToast('输入的长度必须不大于' + length + '位', 0);
        obj.value = obj.value.substring(0, length);
        return;
    }
    obj.value = obj.value.toLocaleUpperCase();
}

/**限制密码输入长度*/
function checkTextPwd(obj, length) {
    if(localStorage.getItem("passwordOpr") != undefined &&
        localStorage.getItem("passwordOpr") != null &&
        localStorage.getItem("passwordOpr") == 'setpwd') {
            if(obj.value.length > 6) {
                thenToast('输入的长度必须不大于' + 6 + '位', 0);
                obj.value = obj.value.substring(0, length);
                return;
            }
    } else {
        if(obj.value.length > length) {
            thenToast('输入的长度必须不大于' + length + '位', 0);
            obj.value = '';
            return;
        }
    }
}

/**数字补零**/
function fix(num, length) {
    return('' + num).length < length ? ((new Array(length + 1)).join('0') + num).slice(-length) : '' + num;
}

/**获取当前版本号**/
function getVersion() {
    uexWidgetOne.cbGetCurrentWidgetInfo = function(opId, dataType, data) {
        var objdata = JSON.parse(data);
        if(objdata != null && objdata != '') {
            var versionObj = {
                "appVersionName": objdata.name,
                "appVersion": objdata.version
            };
            window.localStorage["AppVersion"] = JSON.stringify(versionObj);
            return versionObj;
        } else {
            return null;
        }
    };
    uexWidgetOne.getCurrentWidgetInfo();
}

/*
 * 验证手机号码格式
 */
function isPhone(obj) { //在手机输入框失去焦点时调用
    var aPhone = obj.value;
    var bValidate = RegExp(/^(0|86|17951)?(1[0-9][0-9])[0-9]{8}$/).test(aPhone);
    if(bValidate) {} else {
        thenToast("请输入正确的手机号", 0);
        return;
    }
};

function checkPhone(phone) {//js验证手机号时调用
    var boolstate = RegExp(/^(0|86|17951)?(1[0-9][0-9])[0-9]{8}$/).test(phone);
    if(boolstate) {
        return true;
    } else {
        return false;
    }
}

/*
 * 检测是否mobile
 */
function checkMobile() {
    var ua = navigator.userAgent;
    var ipad = ua.match(/(iPad).*OS\s([\d_]+)/);
    var isIphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
    var isAndroid = ua.match(/(Android)\s+([\d.]+)/);
    var isMobile = isIphone || isAndroid;
    if(isMobile) {
        return true;
    } else {
        return false;
    };
};

/*
 * 列表位置定点跳转
 * @param  bar距离顶部高度 ,高度,一般设置为em单位的倍数
 */
function indexBarOpen(y, height, n) {
    var em = localStorage.getItem("em");
    var width = n * parseInt(em);
    var screenWidth = localStorage.getItem("screenWidth");
    if(IsNull(screenWidth)) {
        screenWidth = parseInt(document.body.clientWidth);
        localStorage.setItem("screenWidth", parseInt(document.body.clientWidth));
    }
    var x = screenWidth - width;
    uexIndexBar.open(x, y, width, height);
}

/**传统Post请求方式**/
function defaultPost(url, indata, onSuccess, onFail) {
    showLog("post请求参数", JSON.stringify(indata));
    console.log(url);
    console.log(indata);
    appcan.request.ajax({
        url: url,
        type: "POST",
        data: JSON.stringify(indata),
        contentType: 'application/json',
        //headers : {},
        datatype: "json",
        //timeout : 50000,
        offline: false,
        offlineDataPath: 'wgt://aaa/',
        success: function(data) {
            onSuccess(data);
        },
        error: function(data) {
            onFail(data);
        }
    });
}

/**传统的Get方式**/
function defaultGet(url, indata, onSuccess, onFail) {
    showLog("get请求参数", indata);
    appcan.request.ajax({
        url: url,
        type: "GET",
        data: JSON.stringify(indata),
        contentType: 'application/json',
        headers: {
            token: this._token
        },
        datatype: "json",
        timeout: 50000,
        offline: false,
        offlineDataPath: 'wgt://aaa/',
        success: function(data) {
            onSuccess(data);
        },
        error: function(data) {
            onFail(data);
        }
    });
}

/**处理请求数据**/
function IsSuccess(data) {
    var requestPagefrom = localStorage.getItem("requestpageFrom");
    localStorage.removeItem("requestpageFrom");
    if(IsNull(data)) {
        thenToast("数据请求失败,请重试", 0);
        return;
    }
    var resultData = JSON.parse(data);
    if(resultData.result == 1999) {
        return 1;
    } else if(resultData.result == -1) { //token失效
        console.log("shixiao?")
        opentoLogin(requestPagefrom);
        return;
    } else {
        thenToast(resultData.msg);
        return resultData.result;
    }
}

function IsSuccessCarInfo(data) {
    var requestPagefrom = localStorage.getItem("requestpageFrom");
    localStorage.removeItem("requestpageFrom");
    if(IsNull(data)) {
        return;
    }
    var resultData = JSON.parse(data);
    if(resultData.result == 1999) {
        return 1;
    } else if(resultData.result == -1) { //token失效
        console.log("shixiao?")
        opentoLogin(requestPagefrom);
        return;
    } else {
        thenToast(resultData.msg, 0);
        return resultData.result;
    }
}

//打开登陆页面
function opentoLogin(pagefrom) {
    uexWindow.cbConfirm = function(opId, dataType, data) {
        if(pagefrom == 'root_directory') {
            appcan.window.open('login', 'user/login.html', 10);
        } else if(pagefrom == "same_directory") {
            appcan.window.open('login', 'login.html', 10);
        } else {
            appcan.window.evaluateScript("", "getPageId();", 0);
            appcan.window.open('login', '../user/login.html', 10);
            uexWindow.closePopover('codePOP');
        }
    };
    appcan.window.confirm('提示', '还未登录或登录失效,请重新登录', "好的");
}

//判断input只能输入数字    onkeyup
function checkOnlyNB(obj) {
    if(obj.value.length == 1) {
        obj.value = obj.value.replace(/[^0-9]/g, '');
    } else {
        obj.value = obj.value.replace(/\D/g, '');
    }
}

//判断输入是否为邮箱
function checkIsEmail(obj) {
    if(!checkEmail.test(obj.value)) {
        thenToast('请输入正确的邮箱', 0);
        obj.value = "";
        return;
    }
}

//输入框输入错误退位处理  " onafterpaste="
function afterPasted(obj) {
    if(obj.value.length == 1) {
        obj.value = this.value.replace(/[^0-9]/g, '');
    } else {
        obj.value = this.value.replace(/\D/g, '');
    }
}

//判断只能输入数字和字母
function checkNN_chart(obj) { //onkeyup调用
    obj.value = obj.value.replace(/[\W]/g, '');
}

//邮箱输入
function EmailCheck(obj) {
    var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/;
    var res = reg.test(obj.value);
    if(!res) {
        thenToast("邮箱输入不合法", 0);
        obj.value = "";
    }
}

//执行粘贴动作之前
function beforePasted(obj) { //onbeforepaste 调用
    obj.clipboardData.setData('text', clipboardData.getData('text').replace(/[^\d]/g, ''));
}

//打开pop窗口
function openPopWindow(popname, popUrl) {
    var platform = localStorage.getItem("platform");
    //alert("当前平台："+platform);
    if(platform == 1 || platform == '1') { //不是苹果
        openPOP(popname, popUrl);
    } else {
        appcan.window.evaluateScript("", "openPOP('" + popname + "', '" + popUrl + "');", 0);
    }
}

//打开pop
function openPOP(popname, popUrl) {
    var popName = popname;
    var dataType = 0;
    var url = popUrl;
    var data = '';
    var x = 200;
    var y = 300;
    var w = 500;
    var fontSize = 30;
    var flag = 0;
    var extraInfo = {
        "opaque": "false",
        "bgColor": "#CCC",
        "delayTime": 250,
        "hardware": 0
    };
    uexWindow.openPopover(popName, dataType, url, data, "", "", "", "", fontSize, flag, "");
    uexWindow.bringPopoverToFront(popName);
}

//按钮防重复点击：在delayTime时间内不可重复点击
var repeatState = 0;
//重复状态码
function noRepeatClick(Func, delayTime, msg, obj) { //参数名作为参数传入
    if(repeatState == 1) {
        if(IsNull(msg)) {
            thenToast("请勿重复操作", 0);
        } else {
            thenToast(msg, 0);
        }
        return;
    }
    repeatState = 1;
    if(IsNull(obj)) {
        Func();
    } else {
        Func(obj);
    }
    setTimeout(function() {
        repeatState = 0;
    }, delayTime);
}

/**增加/移除元素**/
function removeType(theid, type) {
    if($("#" + theid).hasClass(type)) {
        $("#" + theid).removeClass(type);
    }
}

function addType(theid, type) {
    if(!$("#" + theid).hasClass(type)) {
        $("#" + theid).addClass(type);
    }
}

/**增加/移除属性 Attribute*/
function addAttr(theid, attribute, attrs) {
    if(!$("#" + theid)[0].hasAttribute(attribute)) {
        $("#" + theid)[0].setAttribute(attribute, attrs);
    }
}

function removeAttr(theid, attribute) {
    if($("#" + theid)[0].hasAttribute(attribute)) {
        $("#" + theid)[0].removeAttribute(attribute);
    }
}

/**图片缓存技术**/
var cache;
var option;
function PicCace(picArray, onSuccess, onError, onLoading) {
    if(IsNull(picArray)) {//传入图片列表为空
        thenToast("没有找到图片信息", 0);
        return;
    }
    var sdata, //缓存对象
    statu = 0, //状态
    percent = 0;
    //下载缓存百分比
    cacheState = 1;
    option = {
        maxtask: 3, //最多三个线程同时加载
        progress: function(data, session) {
            sdata = JSON.parse(JSON.stringify(data));
            statu = sdata['status'];
            percent = sdata['percent'];
            switch(statu) {
                case 0:
                //正在缓存
                    if(!IsNull(onLoading)) {
                        onLoading(data);
                    }
                    break;
                case 1:
                //缓存完成
                    cache = '';
                    break;
                case 2:
                //缓存失败
                    cache = '';
                    break;
                    default:
                    break;
            }
        },
        success: function(path, session) {
            cacheState = 0;
            onSuccess(path, session);
        },
        fail: function(session) {
            onError(JSON.stringify(session));
        }
    };
    cache = appcan.icache(option);
    for(var i = 0; i < picArray.length; i++) { //一次缓存图片信息      可以将多张图片缓存下来
        option.url = picArray[i];
        cache.run(option);
    }
}

//定义接口访问失败后判断网络状态
function connectFail(msg) {
    localStorage.removeItem("requestpageFrom");
    var connectStatus = uexDevice.getInfo('13');
    if(connectStatus != null && connectStatus.length > 0) {
        if(connectStatus == -1) { //网络不可用
            thenToast("当前网络不可用,请检查网络设置", 0);
        } else { //网络可用
            thenToast(msg, 0);
        }
    }
}

//设置为当前日期
function setCurrentDate(placeId) {
    var now = new Date();
    var dateValue = now.getFullYear() + "-" + fix(parseInt(now.getMonth() + 1), 2) + "-" + fix(now.getDate(), 2);
    show(placeId, dateValue);
}

//获取当天的时间
function getCurrentDay(type) {
    if(IsNull(type)) { //为空，返回当天
        var now = new Date();
        return now.getFullYear() + "-" + fix(parseInt(now.getMonth() + 1), 2) + "-" + fix(now.getDate(), 2);
    } else if(type == 1) { //返回明天
        return GetDateStr(1);
    }
}

//获取日期
function GetDateStr(AddDayCount) {
    var dd = new Date();
    dd.setTime(dd.getTime() + 24 * 60 * 60 * 1000);
    var y = dd.getFullYear();
    var m = dd.getMonth() + 1; //获取当前月份的日期 
    var d = dd.getDate();
    return y + "-" + fix(parseInt(m), 2) + "-" + fix(parseInt(d), 2);
}

//获取图片地址
function getPhotoSrc(name) {
    if(IsNull(name)) {
        return "img/user.png";
    }
    var url = serverImgUrl;
    return url + name;
}

//新的上传图片   新增页面名称，页面类型0：父页面    1：子页面
function updatePic_New(upUrl, upcode, uploadSucc, uploadFail, pageUrl, pagetype) {
    var needUpData = {
        "upUrl": upUrl,
        "upcode": upcode,
        "uploadSucc": uploadSucc,
        "uploadFail": uploadFail,
        "pageUrl": pageUrl,
        "pagetype": pagetype
    };
    localStorage.setItem("PicUpData", JSON.stringify(needUpData));
    if(pageUrl == "index_main") {
        openPopWindow('uploadPicOP', 'popWindow/uploadPicOP.html');
    } else {
        openPopWindow('uploadPicOP', '../popWindow/uploadPicOP.html');
    }
}

//uexUploadMgr上传 3.0+写法插件
function uexUploadMgrUpPic(dataUrl, upcode, upUrl, uploadSucc, uploadFail, piclist) {
    uexUploaderMgr.cbCreateUploader = function(opCode, dataType, data) {
        if(data == 0) {
            // 初始创建成功，开始上传图片
            var isIndexMainUp = localStorage.getItem("isIndexMainUp");
            localStorage.removeItem("isIndexMainUp");
            if(isIndexMainUp == "index_main"){
                openPopWindow('animationPOP', 'popWindow/animationPOP.html');
            }else{
                openPopWindow('animationPOP', '../popWindow/animationPOP.html');
            }
            uexUploaderMgr.uploadFile(1, dataUrl, 'file', '0', "500", upResult); //0不压缩 1高等质量压缩 2中等质量压缩  3低质量压缩
        } else {
            alert("上传失败,请重试");
            uexUploaderMgr.closeUploader(1);
        }
    };

    uexUploaderMgr.onStatus = function(id, fileSize, percent, serverPath, status) {
        switch(status) {
            case 0:
                // 持续上传中，不操作
                break;
            case 1:
                // 上传成功
                uexUploaderMgr.closeUploader(1);
                uexWindow.closePopover('animationPOP');
                if(IsSuccess(serverPath) != 1) {
                    return;
                }
                uploadSucc(serverPath);
                break;
            case 2:
                // 上传出错
                thenToast("上传失败，请重试上传", 0);
                uexUploaderMgr.closeUploader(1);
                uexWindow.closePopover('animationPOP');
                break;
        }
    };
    
    // 封装头文件
    var mytoken = '';
    var info = JSON.parse(localStorage.getItem("curUseInfo"));
    if(IsNull(info)) {
        mytoken = '';
    } else {
        mytoken = info.token;
    }
    var headJson = '{"Media Type": "multipart/form-data","token":"' + mytoken + '"}';
    uexUploaderMgr.setHeaders(1, headJson);
    var uploadUrl;// 封装服务器地址
    if(uploadspeedyIdCode == upcode || uploadspeedyLiCode == upcode){//线下核保
        var uploadCeleritySides = localStorage.getItem("uploadCeleritySides");
        uploadUrl = upUrl + "?side=" + uploadCeleritySides + "&type=" + upcode + "&token=" + mytoken;
    }else if(upFrontIdCode == upcode || upBackIdCode == upcode || upFrontDriveCode == upcode || upBackDriveCode == upcode || upValidDriveCode == upcode) { //支付成功完善信息或者重新核保上传证件
        var completeInfoImg = localStorage.getItem("completeInfoImg");
        uploadUrl = upUrl + "?upcode=" + upcode + "&offerCode=" + completeInfoImg + "&token=" + mytoken;
    }else if(upPersonCode == upcode || upCerFaceCode == upcode || upCerBackCode == upcode) {//实名认证
        var certificationSides = localStorage.getItem("uploadCertificationSides");
        uploadUrl = upUrl + "?token=" + mytoken + "&side=" + certificationSides;
    }else { //其他上传
        uploadUrl = upUrl + "?token=" + mytoken;
    }
    uexUploaderMgr.createUploader(1, uploadUrl);// 创建上传文件
}

//上传回调
function upResult(data) {
    console.log("上传回调 ==>" + data);
}

//下拉刷新
function setDownPushRefresh(todofunc) {
    if(window.navigator.platform != 'Win32') {
        uexWindow.onBounceStateChange = function(type, status) {
            if(type == 0 && status == 2) { //下拉刷新
                todofunc();
                uexWindow.resetBounceView('0');
            }
        };
        uexWindow.setBounce("1");
        uexWindow.notifyBounceEvent('0', "1");
        var xl = '{"imagePath":"","textColor":"#aaa","levelText":"","pullToReloadText":"下拉刷新...","releaseToReloadText":"释放刷新...","loadingText":"加载中，请稍等"}';
        uexWindow.setBounceParams("0", xl);
        uexWindow.showBounceView("0", '#EAEAEA', '1');
        uexWindow.showBounceView("1", '#EAEAEA', '1');
    }
}

//上拉刷新
function setUpPushRefresh(todofunc) {
    if(window.navigator.platform != 'Win32') {
        uexWindow.onBounceStateChange = function(type, status) {
            if(type == 1 && status == 2) {
                todofunc();
                uexWindow.resetBounceView('1');
            }
        };
        uexWindow.setBounce("1");
        uexWindow.notifyBounceEvent("1", "1");
        var s = '{"imagePath":"","textColor":"#aaa","levelText":"","pullToReloadText":"上拉加载更多内容...","releaseToReloadText":"释放加载更多内容...","loadingText":"加载中，请稍等"}';
        uexWindow.setBounceParams("1", s);
        uexWindow.showBounceView("1", '#EAEAEA', '1');
    }
}

//上下拉刷新
function setBounceView(upfunc, downfunc) {
    if(window.navigator.platform != 'Win32') {
        uexWindow.onBounceStateChange = function(type, status) {
            if(type == 1 && status == 2) { //上拉刷新
                upfunc();
                uexWindow.resetBounceView('1');
            }
            if(type == 0 && status == 2) { //下拉刷新
                downfunc();
                uexWindow.resetBounceView('0');
            }
        };
        uexWindow.setBounce('1');
        uexWindow.notifyBounceEvent('0', "1");
        uexWindow.notifyBounceEvent('1', "1");
        var s = '{"imagePath":"","textColor":"#aaa","levelText":"","pullToReloadText":"上拉加载更多内容...","releaseToReloadText":"释放加载更多内容...","loadingText":"加载中，请稍等"}';
        var xl = '{"imagePath":"","textColor":"#aaa","levelText":"","pullToReloadText":"下拉刷新...","releaseToReloadText":"释放刷新...","loadingText":"加载中，请稍等"}';
        uexWindow.setBounceParams("1", s);
        uexWindow.setBounceParams("0", xl);
        uexWindow.showBounceView("0", '#EAEAEA', '1');
        uexWindow.showBounceView("1", '#EAEAEA', '1');
    }
}

/**
 * 
    银行卡卡号格式化
 * * **/
function formatBankCard(str, flg, sn) {
    if(str.indexOf(flg) > 0)
        return str;
    var newstr = "";
    for(var i = 0; i < str.length; i += sn) {
        var tmp = str.substring(i, i + sn);
        newstr += tmp + flg;
    }
    return newstr.substring(0, newstr.length - 1);
}

//打开二维码扫描
function openScanner() {
    uexScanner.open('ZXing');
}

//获取月份天数
function DayNumOfMonth(Year, Month) {
    var d = new Date(Year, Month, 0);
    return d.getDate();
}

/*
 * 参数说明
 * flag：分享方式 1微信好友 2微信朋友圈 3QQ好友 4QQ空间 5分享应用到QQ
 * showModel：展示方式 1普通分享链接 2选择分享链接 3普通分享图片 4选择分享图片
 * 微信参数如下：
 * APPSecret：dca0247690088d22f2a1a5b74e735821
 * APPId：wx91200c1b9fd84ab0
 * scope作用域：snsapi_userinfo,snsapi_base
 * QQ参数如下:
 * APPId：1105978508
 */

//主分享函数
function shareMain(flag, showModel, shareTitle, shareSummary, shareUrl, shareImg) {
    //分享链接及APP参数
    var shareUrl;
    var shareTitle;
    var shareSummary;
    //分享图片参数
    var shareImg;
    if(showModel == 1 || showModel == 2) {//分享链接
        shareUrl = shareUrl;
        shareTitle = shareTitle;
        shareSummary = shareSummary;
    } else if(showModel == 3 || showModel== 4) {//分享图片
        shareImg = shareImg;
    }
    if(flag == 1 || flag == 2) {//进入微信
        var allowLogin = uexWeiXin.registerApp('wx91200c1b9fd84ab0');//用户授权
        if(allowLogin == 0) {
            var hasWXApp = uexWeiXin.isWXAppInstalled();//检查微信是否已安装
            if(hasWXApp) {
                if(uexWidgetOne.getPlatform() == '0') { //iOS
                    var iosSurpportApi =uexWeiXin.isWXAppSupportApi();
                    if(iosSurpportApi) {

                    } else {
                        thenToast("您当前的微信版本或iOS版本不支持OpenApi，请升级重试！", 0);
                        return;
                    }
                }
                if(showModel == 1) {
                    if(flag == 1) {
                        shareToWXLinks(0, shareTitle, shareSummary, shareUrl);
                    } else if(flag == 2) {
                        shareToWXLinks(1, shareTitle, shareSummary, shareUrl);
                    }
                } else if(showModel == 2) {
                    uexWindow.cbConfirm = function(opId, dataType, data) {
                        if(data == 0) {
                            shareToWXLinks(0, shareTitle, shareSummary, shareUrl);
                        } else {
                            shareToWXLinks(1, shareTitle, shareSummary, shareUrl);
                        }
                    };
                    uexWindow.confirm("", "分享链接到：", "好友,朋友圈");
                } else if(showModel == 3) {
                    if(flag == 1) {
                        shareToWXImgs(0, shareImg);
                    } else if(flag == 2) {
                        shareToWXImgs(1, shareImg);
                    }
                } else if(showModel == 4) {
                    uexWindow.cbConfirm = function(opId, dataType, data) {
                        if(data == 0) {
                            shareToWXImgs(0, shareImg);
                        } else {
                            shareToWXImgs(1, shareImg);
                        }
                    };
                    uexWindow.confirm("", "分享图片到：", "好友,朋友圈");
                }
            } else {
                if(uexWidgetOne.getPlatform() == '0') { //iOS
                    uexWindow.cbConfirm = function(opId, dataType, data) {
                        if(data == 0) { //iOS未安装微信前往微信下载地址
                            uexWeiXin.getWXAppInstallUrl(function(data){
                                uexWidget.loadApp("", "", data);
                            });
                        }
                    };
                    uexWindow.confirm("提示", "您还未安装微信客户端，是否安装微信客户端！", "确定,取消");
                    return;
                } else { //Android
                    uexWindow.alert('提示', '您还未安装微信客户端！', '确定');
                    return;
                }
            }
        } else if(allowLogin == 1) {
            thenToast("本应用尚未获取到微信授权！", 0);
            return;
        }
    } else if(flag == 3 || flag == 4 || flag == 5) {//进入QQ
        var hasQQApp = uexQQ.isQQInstalled();//检查QQ是否已安装
        if(hasQQApp) {
            if(showModel == 1) {
                if(flag == 3) {
                    shareToQQLinks(2, shareTitle, shareSummary, shareUrl);
                } else if(flag == 4) {
                    shareToQQLinks(1, shareTitle, shareSummary, shareUrl);
                } else {
                    shareToQQLinks("", shareTitle, shareSummary, shareUrl);
                }
            } else if(showModel == 3) {
                if(flag == 3) {
                    shareToQQImgs(2, shareImg);
                } else if(flag == 4) {
                    shareToQQImgs(2, shareImg);
                } else {
                    shareToQQImgs("", shareImg);
                }
            } else if(flag == 5) {
                if(flag == 3) {
                    shareToQQApp(2, shareTitle, shareSummary);
                } else if(flag == 4) {
                    shareToQQApp(1, shareTitle, shareSummary);
                } else {
                    shareToQQApp("", shareTitle, shareSummary);
                }
            } 
        } else {
            uexWindow.alert('提示', '您还未安装QQ客户端！', '确定');
            return;
        }
    }
}

//微信分享链接
function shareToWXLinks(scene, shareTitle, shareSummary, shareUrl) {
    var jsonData = {
        thumbImg: "res://icos_ios.png",
        wedpageUrl: shareUrl,
        scene: scene,
        title: shareTitle,
        description: shareSummary
    };
    uexWeiXin.shareLinkContent(JSON.stringify(jsonData), function(error){
        if(!error) {
            
        } else {
            thenToast("分享失败:" + data.errStr, 0);
        }
    });
}

//微信分享图片
function shareToWXImgs(scene, shareImg) {
    var jsonData = {
        thumbImg: shareImg,
        image: shareImg,
        scene: scene
    };
    uexWeiXin.shareImageContent(JSON.stringify(jsonData), function(error){
        if(!error) {
            
        } else {
            thenToast("分享失败:" + data.errStr, 0);
        }
    });
}

//QQ分享链接
function shareToQQLinks(cflag, shareTitle, shareSummary, shareUrl) {
    var jsonData = {
        title: shareTitle,
        summary: shareSummary,
        targetUrl: shareUrl,
        imageUrl: "res://icos_ios.png",
        appName: "e车险保",
        cflag: cflag
    };
    uexQQ.shareWebImgTextToQQ("1105978508", JSON.stringify(jsonData), function(error, data){
        if(!error) {
            
        } else {
            thenToast("分享失败:" + data.errStr, 0);
        }
    });
}

//QQ分享图片
function shareToQQImgs(cflag, shareImg) {
    var jsonData = {
        imageLocalUrl: shareImg,
        appName: "e车险保",
        cflag: cflag
    }
    uexQQ.shareLocalImgToQQ("1105978508", JSON.stringify(jsonData), function(error, data){
        if(!error) {
            
        } else {
            thenToast("分享失败:" + data.errStr, 0);
        }
    });
}

//QQ分享应用
function shareToQQApp(cflag, shareTitle, shareSummary) {
    var jsonData = {
        title: shareTitle,
        summary: shareSummary,
        imageUrl: "res://icos_ios.png",
        appName: "e车险保",
        cflag: cflag
    }
    uexQQ.shareAppToQQ("1105978508", JSON.stringify(jsonData), function(error, data){
        if(!error) {
            
        } else {
            thenToast("分享失败:" + data.errStr, 0);
        }
    });
}

//打开图片
function showPic(obj) {
    var src = obj.getAttribute("picsrc");
    //uexImageBrowser.open(src);//更换安卓4.0以上引擎后该插件会引起闪退效果 --欧君仁杰-2017.02.27
    if(localStorage.getItem("platform") == 1) { //不是苹果
        uexImage.openBrowser({
            data: [src]
        }); //更换安卓4.0以上引擎后改为用该插件打开图片 --欧君仁杰-2017.02.27
    } else {
        uexImageBrowser.open(src);
    }
}

//获取版本
function versionGet() {
    uexWidgetOne.cbGetCurrentWidgetInfo = function(opId, dataType, data) {
        var objdata = JSON.parse(data);
        if(objdata != null && objdata != '') {
            localStorage.setItem("currentVersion", objdata.version);
        }
    };
    uexWidgetOne.getCurrentWidgetInfo();
}

//打开蒙层
function NOMongolia(index) {
    if(index == 1) {
        appcan.window.openPopover('animationPOP', './popWindow/animationPOP.html');
    } else if(index == 2) {
        appcan.window.openPopover('animationPOP', '../popWindow/animationPOP.html');
    } else if(index == 3) {
        appcan.window.openPopover('animationPOP', '../popWindow/animationPOP.html');
    };
};

//关闭蒙层
function OFFMongolia() {
    appcan.window.closePopover("animationPOP");
};

//减法精度计算公式
function numSub(num1, num2) {
    var baseNum, baseNum1, baseNum2;
    var precision; // 精度 
    try {
        baseNum1 = num1.toString().split(".")[1].length;
    } catch(e) {
        baseNum1 = 0;
    }
    try {
        baseNum2 = num2.toString().split(".")[1].length;
    } catch(e) {
        baseNum2 = 0;
    }
    //console.log(baseNum1);
    //console.log(baseNum2);
    baseNum = Math.pow(10, Math.max(baseNum1, baseNum2));
    precision = (baseNum1 >= baseNum2) ? baseNum1 : baseNum2;
    return((num1 * baseNum - num2 * baseNum) / baseNum).toFixed(precision);
};

//乘法精度计算公式
function numMulti(num1, num2) {
    var baseNum = 0;
    try {
        baseNum += num1.toString().split(".")[1].length;
    } catch(e) {}
    try {
        baseNum += num2.toString().split(".")[1].length;
    } catch(e) {}
    return Number(num1.toString().replace(".", "")) * Number(num2.toString().replace(".", "")) / Math.pow(10, baseNum);
};

// 数字转换成万或者千为单位
function unitConvert(num) {
    if (num>=10000) {
        return num/10000 + "万";
    } else if (num>=1000) {
        return num/1000 + "千";
    } else {
        return num;
    }
}

// 数字转换成万或者千为单位
function unitConvertNum(str) {
    if (str.indexOf("万") != -1) {
        return str.replace("万", "0000");
    } else if (str.indexOf("千") != -1) {
        return str.replace("千", "000");
    } else {
        return str;
    }
}

// 排序函数（用以返回次序关系）
function sortArr(arr, sortStr) {
    var bySort = function() {
        return function(last, next) { //next是last的下一项
            var lastStr = last[sortStr],
                nextStr = next[sortStr];
            if (isNaN(lastStr)) { //非数字排序
                return lastStr.localeCompare(nextStr); //用本地特定顺序来比较(支持中文)
            } else {
                if (lastStr === nextStr) {
                    return 0;
                } else {
                    return lastStr > nextStr ? 1 : -1;
                }
            }
        }
    };
    for (var i = 0; i < arr.length; i++) {
        arr.sort(bySort(arr[i][sortStr]));
    }
}

var bankCodeList = {
    "SRCB": "深圳农村商业银行", 
    "BGB": "广西北部湾银行", 
    "SHRCB": "上海农村商业银行", 
    "BJBANK": "北京银行", 
    "WHCCB": "威海市商业银行", 
    "BOZK": "中原银行（原周口银行）", 
    "KORLABANK": "库尔勒银行", 
    "SPABANK": "平安银行", 
    "SDEB": "顺德农村商业银行", 
    "HURCB": "湖北省农村信用社（农商银行）", 
    "WRCB": "无锡农村商业银行", 
    "BOCY": "朝阳银行", 
    "CZBANK": "浙商银行", 
    "HDBANK": "邯郸银行", 
    "BOC": "中国银行", 
    "BOD": "东莞银行", 
    "CCB": "中国建设银行", 
    "ZYCBANK": "贵州银行（原遵义市商业银行）", 
    "SXCB": "绍兴银行", 
    "GZRCU": "贵州省农村信用社", 
    "ZJKCCB": "张家口银行（原张家口市商业银行）", 
    "BOJZ": "锦州银行", 
    "BOP": "平顶山银行", 
    "HKB": "汉口银行", 
    "SPDB": "上海浦东发展银行", 
    "NXRCU": "黄河农村商业银行", 
    "NYNB": "广东南粤银行", 
    "GRCB": "广州农商银行", 
    "BOSZ": "苏州银行", 
    "HZCB": "杭州银行", 
    "HSBK": "衡水银行", 
    "HBC": "湖北银行", 
    "JXBANK": "嘉兴银行", 
    "HRXJB": "华融湘江银行", 
    "BODD": "丹东银行", 
    "AYCB": "中原银行（原安阳银行）", 
    "EGBANK": "恒丰银行", 
    "CDB": "国家开发银行", 
    "TCRCB": "太仓农村商业银行", 
    "NJCB": "南京银行", 
    "ZZBANK": "郑州银行", 
    "DYCB": "长城华西银行（原德阳银行）", 
    "YBCCB": "宜宾市商业银行", 
    "SCRCU": "四川农信", 
    "KLB": "昆仑银行", 
    "LSBANK": "莱商银行", 
    "YDRCB": "尧都农村商业银行", 
    "CCQTGB": "重庆三峡银行", 
    "FDB": "富滇银行", 
    "JSRCU": "江苏省农村信用社联合社", 
    "JNBANK": "济宁银行", 
    "CMB": "招商银行", 
    "JINCHB": "晋城银行", 
    "FXCB": "阜新银行", 
    "WHRCB": "武汉农村商业银行", 
    "HBYCBANK": "湖北银行宜昌分行", 
    "TZCB": "台州银行", 
    "TACCB": "泰安银行", 
    "XCYH": "中原银行（原许昌银行）", 
    "CEB": "中国光大银行", 
    "NXBANK": "宁夏银行", 
    "HSBANK": "徽商银行", 
    "JJBANK": "九江银行", 
    "NHQS": "农信银资金清算中心", 
    "MTBANK": "浙江民泰商业银行", 
    "LANGFB": "廊坊银行", 
    "ASCB": "鞍山银行", 
    "KSRB": "昆山农村商业银行", 
    "YXCCB": "云南红塔银行（原玉溪市商业银行）", 
    "DLB": "大连银行", 
    "DRCBCL": "东莞农村商业银行", 
    "GCB": "广州银行", 
    "NBBANK": "宁波银行", 
    "BOYK": "营口银行", 
    "SXRCCU": "陕西信合", 
    "GLBANK": "桂林银行", 
    "BOQH": "青海银行", 
    "CDRCB": "成都农商银行", 
    "QDCCB": "青岛银行", 
    "HKBEA": "东亚银行", 
    "HBHSBANK": "湖北银行黄石分行", 
    "WZCB": "温州银行", 
    "TRCB": "天津农商银行", 
    "QLBANK": "齐鲁银行", 
    "GDRCC": "广东省农村信用社联合社", 
    "ZJTLCB": "浙江泰隆商业银行", 
    "GZB": "赣州银行", 
    "GYCB": "贵阳银行", 
    "CQBANK": "重庆银行", 
    "DAQINGB": "龙江银行", 
    "CGNB": "四川天府银行（原南充市商业银行）", 
    "SCCB": "中原银行（原三门峡银行）", 
    "CSRCB": "常熟农村商业银行", 
    "SHBANK": "上海银行", 
    "JLBANK": "吉林银行", 
    "CZRCB": "江南农村商业银行", 
    "BANKWF": "潍坊银行", 
    "ZRCBANK": "张家港农村商业银行", 
    "FJHXBC": "福建海峡银行", 
    "ZJNX": "浙江省农村信用社联合社", 
    "LZYH": "兰州银行", 
    "JSB": "晋商银行", 
    "BOHAIB": "渤海银行", 
    "CZCB": "浙江稠州商业银行", 
    "YQCCB": "阳泉市商业银行", 
    "SJBANK": "盛京银行", 
    "XABANK": "西安银行", 
    "BSB": "包商银行", 
    "JSBANK": "江苏银行", 
    "FSCB": "抚顺银行", 
    "HNRCU": "河南省农村信用社", 
    "COMM": "交通银行", 
    "XTB": "邢台银行", 
    "CITIC": "中信银行", 
    "HXBANK": "华夏银行", 
    "HNRCC": "湖南省农村信用社联合社", 
    "DYCCB": "东营银行", 
    "ORBANK": "鄂尔多斯银行", 
    "BJRCB": "北京农商银行", 
    "XYBANK": "中原银行（原信阳银行）", 
    "ZGCCB": "自贡银行（原自贡市商业银行）", 
    "CDCB": "成都银行", 
    "HANABANK": "韩亚银行", 
    "CMBC": "中国民生银行", 
    "LYBANK": "洛阳银行", 
    "GDB": "广发银行", 
    "ZBCB": "齐商银行", 
    "CBKF": "中原银行（原开封市商业银行）", 
    "H3CB": "内蒙古银行", 
    "CIB": "兴业银行", 
    "CRCBANK": "重庆农村商业银行", 
    "SZSBK": "石嘴山银行", 
    "DZBANK": "德州银行", 
    "SRBANK": "上饶银行", 
    "LSCCB": "乐山市商业银行", 
    "JXRCU": "江西农商银行", 
    "ICBC": "中国工商银行", 
    "JZBANK": "晋中银行", 
    "HZCCB": "湖州银行", 
    "NHB": "南海农商银行", 
    "XXBANK": "中原银行（原新乡银行）", 
    "JRCB": "江阴农商银行", 
    "YNRCC": "云南省农村信用社", 
    "ABC": "中国农业银行", 
    "GXRCU": "广西农村信用社", 
    "PSBC": "中国邮政储蓄银行", 
    "BZMD": "中原银行（原驻马店银行）", 
    "ARCU": "安徽省农村信用社联合社", 
    "GSRCU": "甘肃省农村信用社", 
    "LYCB": "辽阳银行", 
    "JLRCU": "吉林省农村信用社", 
    "URMQCCB": "乌鲁木齐银行", 
    "XLBANK": "中山小榄村镇银行", 
    "CSCB": "长沙银行", 
    "JHBANK": "金华银行", 
    "BHB": "河北银行", 
    "NBYZ": "鄞州银行", 
    "LSBC": "临商银行", 
    "BOCD": "承德银行", 
    "SDRCU": "山东省农村信用社联合社", 
    "NCB": "江西银行（原南昌银行）", 
    "TCCB": "天津银行", 
    "WJRCB": "吴江农村商业银行", 
    "CBBQS": "城市商业银行资金清算中心", 
    "HBRCU": "河北省农村信用社",
    "BOQZ": "泉州银行",
    "BOCZ": "沧州银行",
    "HRBANK": "哈尔滨银行",
    "HSB": "恒生银行",
    "HLDB": "葫芦岛银行",
    "CITI": "花旗银行",
    "HSBC": "汇丰银行",
    "JZCBANK": "焦作中旅银行（原焦作市商业银行）",
    "MYBANK": "绵阳市商业银行",
    "LUZBANK": "泸州市商业银行",
    "PZHCCB": "攀枝花市商业银行",
    "QHDBANK": "秦皇岛银行",
    "RZB": "日照银行",
    "XMBANK": "厦门银行",
    "ZYB": "中原银行",
    "WXCCB": "江苏银行（原无锡市商业银行）",
    "DBS": "星展银行",
    "YTBANK": "烟台银行",
    "SCBHK": "渣打银行",
    "RBOZ": "珠海华润银行",
    "BDCBANK": "保定银行",
    "LZCCB": "柳州银行",
    "WHBANK": "乌海银行",
    "CJCCB": "江苏长江商业银行",
    "CZCCB": "长治银行",
    "FJNX": "福建省农村信用社联合社",
    "NMGNXS": "内蒙古农村信用社",
    "BOHN": "海南省农村信用社联合社",
    "LSZRCB": "凉山州商业银行",
    "PZBANK": "盘锦银行",
    "QHRC": "青海省农村信用社联合社",
    "QJCCB": "曲靖市商业银行",
    "SPABANK": "平安银行（原深圳发展银行）",
    "BOSH": "新韩银行",
    "SNCCB": "遂宁银行",
    "SXRCU": "山西省农村信用社",
    "TJBHB": "天津滨海农商银行",
    "TSBANK": "唐山银行",
    "YACCB": "雅安市商业银行"
}

//iphoneX系列顶部和底部适配
function isIPhoneXSeries() {
    var u = navigator.userAgent;
    var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    var phoneRatio = (screen.height/screen.width)+"";
    phoneRatio = phoneRatio.substr(0, phoneRatio.indexOf(".")+3);
    console.log("高宽比:"+phoneRatio);
    if (isIOS) {        
        if (phoneRatio == "2.16"){ //iphoneX系列高宽比
            try{
                //顶部适配
                $(".uh").css("padding","11.74vw 0 0");
                //订单详情页处理（正常流程和订单管理流程）   主界面底部   客户信息   弹窗底部适配
                $(".xFooter").css("padding","0 0 9.1vw");
                $(".xCancel").css("margin", "0 0 9.1vw");
            }catch(e){
                
            }
        }else{
            
        } 
    }
}
isIPhoneXSeries();

//判断天数是否小于90天
function isInsureDate(chooseDate, type) {
    var dateEnd = new Date(chooseDate);
    var dateBegin = new Date();//获取当前时间
    var beginYear = dateBegin.getFullYear();
    var beginMonth = dateBegin.getMonth() + 1;
    var beginDay = dateBegin.getDate();
    dateBegin = new Date(beginYear + '-' + beginMonth + '-' + beginDay);
    var dateDiff = dateEnd.getTime() - dateBegin.getTime();//时间差的毫秒数
    var dayDiff = parseInt(dateDiff / (24 * 3600 * 1000));//计算出相差天数
    if(dayDiff<0) {
        if(type == "0") {
            thenToast("交强险日期不能小于当前日期", 0);
        } else if(type == "1") {
            thenToast("商业险日期不能小于当前日期", 0);
        }
        return false;
    } else if(dayDiff>90) {
        if(type == "0") {
            thenToast("交强险日期不能大于当前日期90天", 0);
        } else if(type == "1") {
            thenToast("商业险日期不能大于当前日期90天", 0);
        }
        return false;
    } else {
        return true;
    }
}