var currentCarInfo = ""; //车辆信息
var carStyleInfo = {}; //车型对应ID
var pageindex = 1; //初始获取车辆型号页码
appcan.ready(function() {
    var carbrands = localStorage.getItem("brandInfo"); //前一个页面获取的车辆型号信息
    initCarInfo(); //初始化车信息
    initCarbrand(carbrands); //初始化车型列表
})

//初始化车信息
function initCarInfo() {
    currentCarInfo = localStorage.getItem("currentCarinfo");
    if(IsNull(currentCarInfo)) {
        currentCarInfo = {};
    } else {
        currentCarInfo = JSON.parse(currentCarInfo);
    }
}

//初始化车型列表
function initCarbrand(bran) {
    if(IsSuccessCarInfo(bran) == 0) {
        return;
    }
    if(IsNull(bran)) {
        return;
    }
    var data = JSON.parse(bran).CarBrandInfo;
    if(pageindex == 1) {
        $('body').animate({scrollTop: 0}, 500);
        $("#carbrandlist").empty();
    }
    for(var i = 0; i < data.length; i++) {
        var brandstr = '<li class="ub ub-ac ub-pc" importflag="' + data[i].importFlag +
        '" familyname="' + data[i].familyName +
        '" brandCOde="' + data[i].brandCode +
        '" pinpai="' + data[i].vehicleFgwCode +
        '" brandName="' + data[i].brandName +
        '" seat="' + data[i].seat +
        '" enginedesc="' + data[i].engineDesc +
        '" onclick = "brandSlect(this)"><p class="ub-f1">' + data[i].brandName +
        data[i].engineDesc +
        data[i].remark +
        data[i].seat +
        '座(' + data[i].newCarPrice + ')￥' + data[i].purchasePriceTax +
        '</p><img src="../img/not.png" id = "bimg_' + data[i].brandCode + '"></li>';
        $("#carbrandlist").append(brandstr);
    };
}

//模糊查询车辆信息
function getvague(index) {
    var brandname = $("#citysearch")[0].value;
    if(index == '1') {
        pageindex = 1;
    }
    var userliscense = localStorage.getItem("curliscense");
    console.log(userliscense);
    var carinfo = new bizCar();
    $("#carbrandlist").empty();
    removeType("Load", "uhide");
    carinfo.getCarBrand_mo(brandname, userliscense, pageindex, carBrandSucc, carBrandFail);
};

//车辆品牌模糊查询成功
function carBrandSucc(data) {
    console.log("车品牌成功==>" + data);
    addType("Load", "uhide");
    if(IsSuccess(data) == 1) {
        initCarbrand(data);
    }
};

//车品牌模糊查询失败
function carBrandFail(data) {
    console.log("车辆品牌失败==>" + data);
    addType("Load", "uhide");
    connectFail("获取车辆品牌失败,请稍后重试");
};

var oldobj = ''; //接受当前点击的对象
//点击事件
function brandSlect(obj) {
    var brandCode = obj.getAttribute("brandCOde"); //型号代码
    var seats = obj.getAttribute("seat"); //座位数
    var brandName = obj.getAttribute("brandName"); //车型号
    var pinpai = obj.getAttribute("pinpai"); //发改委品牌
    if(IsNull(brandCode) || IsNull(seats) || IsNull(pinpai)) {
        thenToast("获取数据错误,请重试", 0);
        return;
    }
    var prePage = localStorage.getItem("prePage") || null;
    if(prePage) { //检查是否来自添加车辆页面
        carStyleInfo.name = brandName;
        carStyleInfo.id = brandCode;
        carStyleInfo.enginedesc = obj.getAttribute("enginedesc");
        carStyleInfo.familyname = obj.getAttribute("familyname");
        carStyleInfo.importflag = obj.getAttribute("importflag");
        carStyleInfo.seat = seats;
        carStyleInfo.vehiclefgwcode = pinpai;
    } else {
        var currentSafeOrder = {};
        currentSafeOrder.brandName = brandName; //车型号
        currentSafeOrder.carPinpai = pinpai; //发改委品牌
        localStorage.setItem("currentSafePlanOrder", JSON.stringify(currentSafeOrder));
        currentCarInfo.seat = seats; //存储座位数
        currentCarInfo.modelCode = brandCode; //型号代码
        currentCarInfo.modelName = brandName; //型号代码
        currentCarInfo.brandName = brandName; //车型号
        currentCarInfo.carPinpai = brandCode; //发改委品牌
    }
    $("#bimg_" + brandCode)[0].src = '../img/opt.png';
    if(obj != oldobj) {
        defaultOldobj(oldobj);
    }
    oldobj = obj;
}

//事件还原，图标点击变化
function defaultOldobj(obj) {
    if(IsNull(obj)) {
        return;
    };
    $(obj).find("img")[0].src = '../img/not.png';
};

//确定车型
function sureModel() {
    if(IsNull(oldobj)) {
        thenToast("请选择车辆型号", 0);
        return;
    }
    var prePage = localStorage.getItem("prePage") || null; //是否时从添加车辆页面过来
    if(prePage) {
        localStorage.removeItem("prePage");
        appcan.window.evaluatePopoverScript("addCustomerCar", "content", "cbSelectCarStyle('" + JSON.stringify(carStyleInfo) + "')");
        appcan.window.evaluateScript("carstyle", "appcan.window.close(-1)", 0);
    } else {
        console.log(currentCarInfo)
        localStorage.setItem("currentCarinfo", JSON.stringify(currentCarInfo));
        var datas = JSON.stringify(oldobj.innerText);
        console.log(datas);
        appcan.window.evaluatePopoverScript("carinfo", "content", "setModels(" + datas + ")");
        appcan.window.evaluateScript("carstyle", "appcan.window.close(-1)", 0);
    }
}