var firstGetAdd = 0;
appcan.ready(function() {
    initSafeInfo(); //初始化报价详情
    initUserInfo(); //初始化订单信息
    getUserAddress(); //缺损地址
});

var safeDetail; //保存报价详情
//初始化报价详情
function initSafeInfo() {
    safeDetail = localStorage.getItem("safeDetail");
    if(IsNull(safeDetail)) {
        thenToast("获取数据错误", 0);
        return;
    }
    localStorage.removeItem("safeDetail");
    var data = JSON.parse(safeDetail);
    
    // 保存短信发送信息内容 begin --欧君仁杰-2017.02.15
    var _data = data;
    var carInfo = localStorage.getItem("currentCarinfo");
    carInfo = JSON.parse(carInfo);
    if(IsNull(carInfo)) {
        _data.licenseNo = '';
    } else {
        _data.licenseNo = carInfo.licenseNo;
    }
    localStorage.setItem("dataSMS", JSON.stringify(_data));
    // 保存短信发送信息内容 end
    
    // 插入保险详情总计信息
    var totalStr = '<div class="insuranceTotal ub ub-ac"><img src="' + getPhotoSrc(data.safeDetail.logoUrl) + '" />' +
    '<div class="ub ub-ac ub-f1"><div class="ub-f1"><p>保险：' + data.safeName + '</p><p>总计：' + data.price + '</p></div>' +
    '<div class="ub-f1 tx-r"><p>积分：' + data.signin + '</p><p class="insuranceTotalP">实付：￥' + numSub(data.price, data.bonusPrice) + '</p></div></div></div>';
    $("#insuranceMsg").append(totalStr);
    showDetail(JSON.parse(data.safeDetail));
    showArea(JSON.parse(data.safeDetail));
}

//展示险种详情
function showDetail(data) {
    console.log(data);
    if(!IsNull(data.forceData) && data.forceData.length != 0) { //交强险部分处理
        var ciSumCost = 0;
        var ciStr = '<div class="ciMsg"><div class="ub ub-ac ub-pj ciMsgp1"><p>交强险起期</p><p class="ub-f1 tx-r">' + data.ciBeginDate.split(" ")[0] + '</p></div>';
        for(var i = 0; i < data.forceData.length; i++) {
            ciSumCost += parseFloat(data.forceData[i].insuranceItemPrice);
            if(data.forceData[i].insuranceItemCode == "FORCEPREMIUM") {
                ciStr += '<div class="ub ub-ac ub-pj"><p>' + data.forceData[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + data.forceData[i].insuranceItemPrice + '</p></div>';
            } else {
                ciStr += '<div class="ub ub-ac ub-pj"><p>' + data.forceData[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + data.forceData[i].insuranceItemPrice + '</p></div>';
            }
        };
        ciStr += '<div class="ub ub-ac ub-pj ciMsgp2"><p>交强险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(ciSumCost).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(ciStr);
    }
    if(!IsNull(data.bizData) && data.bizData.length != 0) { //商业险部分处理
        sortArr(data.bizData, "insuranceItemCode");
        var primaryArr = data.bizData;
        var secondaryArr = new Array();
        var bizSumCost = 0;
        var bizStr = '<div class="bizMsg"><div class="ub ub-ac ub-pj bizMsgp1"><p>商业险起期</p><p class="ub-f1 tx-r">' + data.biBeginDate.split(" ")[0] + '</p></div>';
        for (var i=0; i < primaryArr.length; i++) {
            var indexofT = primaryArr[i].insuranceItemName.indexOf('不计免赔');
            bizSumCost += parseFloat(primaryArr[i].insuranceItemPrice);
            if(indexofT >= 0) { //将不计免赔险单独提出成一个数组
                secondaryArr.push(primaryArr[i]);
            } else {
                if(primaryArr[i].warrantyCost != null) {
                    var insuredAmount = parseFloat(primaryArr[i].warrantyCost / 10000).toFixed(2) + "万";
                    bizStr += '<div id="' + primaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + primaryArr[i].insuranceItemName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + primaryArr[i].insuranceItemPrice + '</p></div>';
                } else {
                    bizStr += '<div id="' + primaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + primaryArr[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + primaryArr[i].insuranceItemPrice + '</p></div>';
                }
            }
        }
        bizStr += '<div class="ub ub-ac ub-pj bizMsgp2"><p>商业险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(bizSumCost).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(bizStr);
        for (var i=0; i < secondaryArr.length; i++) {
            var bizMpStr;
            if(secondaryArr[i].warrantyCost != null) {
                var insuredAmount = parseFloat(secondaryArr[i].warrantyCost / 10000).toFixed(2) + "万";
                bizMpStr = '<div id="' + secondaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + secondaryArr[i].insuranceItemName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + secondaryArr[i].insuranceItemPrice + '</p></div>';
            } else {
                bizMpStr = '<div id="' + secondaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + secondaryArr[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + secondaryArr[i].insuranceItemPrice + '</p></div>';
            }
            $(bizMpStr).insertAfter($("#"+secondaryArr[i].insuranceItemCode.replace("M","")));
        }
    }
}

//展示投保区域
function showArea(data) {
    var areaStr = '<div class="areaMsg"><div class="ub"><p>投保城市：</p><p class="ub-f1">' + data.city + '</p></div>' +
    '<div class="ub"><p>投保区县：</p><p class="ub-f1">' + data.district + '</p></div></div>';
    $("#insuranceArea").append(areaStr);
}

//初始化用户和车辆数据
function initUserInfo() {
    var currentOrder = localStorage.getItem("currentSafePlanOrder");
    var currentCarInfo = localStorage.getItem("currentCarinfo");
    console.log(JSON.parse(currentOrder));
    console.log(JSON.parse(currentCarInfo));
    if(IsNull(currentOrder) || IsNull(currentCarInfo)) {
        thenToast("数据错误,请重试", 2000);
        return;
    }
    currentOrder = JSON.parse(currentOrder);
    currentCarInfo = JSON.parse(currentCarInfo);
    // 处理车辆信息
    var carStr = '<div class="carMsg"><div class="ub"><p>车牌号码：</p><p class="ub-f1">' + currentCarInfo.licenseNo + '</p></div>' +
    '<div class="ub"><p>品牌型号：</p><p class="ub-f1">' + currentOrder.carPinpai + '</p></div>' +
    '<div class="ub"><p>车架号码：</p><p class="ub-f1">' + currentCarInfo.frameNo + '</p></div>' +
    '<div class="ub"><p>发动机号：</p><p class="ub-f1">' + currentCarInfo.engineNo + '</p></div>' +
    '<div class="ub"><p>注册日期：</p><p class="ub-f1">' + currentCarInfo.registerDate + '</p></div>';
    if(currentCarInfo.isTrans == "1") {
        carStr += '<div class="ub"><p>是否过户：</p><p class="ub-f1">是</p></div></div>';
    } else {
        carStr += '<div class="ub"><p>是否过户：</p><p class="ub-f1">否</p></div></div>';
    }
    $("#carMsg").append(carStr);
    // 处理车主信息
    var ownerStr = '<div class="ownerMsg"><div class="ub"><p>车主姓名：</p><p class="ub-f1">' + currentCarInfo.ownerName + '</p></div>' +
    '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + currentCarInfo.ownerIdNo + '</p></div>' +
    '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + currentCarInfo.ownerMobile + '</p></div>';
    if(currentCarInfo.holder_same_owner_flag == '0') {
        ownerStr += '<div class="ub"><p>投保人：</p><p class="ub-f1">不同车主</p></div>';
        // 处理投保人不同车主情况
        removeType("policyholderMsg", "uhide");
        var policyholderStr = '<div class="policyholderMsg"><div class="ub"><p>投保人姓名：</p><p class="ub-f1">' + currentCarInfo.applicantName + '</p></div>' +
        '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + currentCarInfo.applicantIdNo + '</p></div>' +
        '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + currentCarInfo.applicantMobile + '</p></div>' +
        '<div class="ub"><p>投保人邮箱：</p><p class="ub-f1">' + currentCarInfo.applicantEmail + '</p></div></div>';
        $("#policyholderMsg").append(policyholderStr);
    } else {
        ownerStr += '<div class="ub"><p>投保人：</p><p class="ub-f1">同车主</p></div>';
    }
    if(currentCarInfo.ins_same_owner_flag == '0') {
        ownerStr += '<div class="ub"><p>被保人：</p><p class="ub-f1">不同车主</p></div></div>';
        // 处理被保人不同车主情况
        removeType("insurantMsg", "uhide");
        var insurantStr = '<div class="insurantMsg"><div class="ub"><p>被保人姓名：</p><p class="ub-f1">' + currentCarInfo.insuredName + '</p></div>' +
        '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + currentCarInfo.insuredID + '</p></div>' +
        '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + currentCarInfo.insuredMobile + '</p></div>' +
        '<div class="ub"><p>被保人邮箱：</p><p class="ub-f1">' + currentCarInfo.insuredEmail + '</p></div></div>';
        $("#insurantMsg").append(insurantStr);
    } else {
        ownerStr += '<div class="ub"><p>被保人：</p><p class="ub-f1">同车主</p></div></div>';
    }
    $("#ownerMsg").append(ownerStr);
}

//获取收货地址
function getUserAddress() {
    var submiter = new bizCar();
    submiter.getUserAddress(addressSucc, addressFail);
}

//获取地址成功
function addressSucc(data) {
    var addressObj = JSON.parse(data);
    if(IsNull(addressObj.DeliveryAddress) || addressObj.DeliveryAddress.length == 0) { //没有地址
        if(firstGetAdd == 0) {
            addType("addressMsg", "uhide");
            removeType("addAddress", "uhide");
            firstGetAdd = 1;
        } else {
            localStorage.setItem("addChooseFrom", 1); //流程入口：报价
            localStorage.setItem("openType", 1); //新增地址
            localStorage.setItem("isMainFunAdd", 0);
            appcan.window.open("addAddress", "../address/addAddress.html", 10);
        }
    } else { //有地址
        if(firstGetAdd == 0) {
            var hasDefault = 0;
            for(var i = 0; i < addressObj.DeliveryAddress.length; i++) {
                if(addressObj.DeliveryAddress[i].is_default == 1) {
                    hasDefault = 1;
                    var addDetailShow = addressObj.DeliveryAddress[i].provinceName + addressObj.DeliveryAddress[i].cityName + addressObj.DeliveryAddress[i].districtName + addressObj.DeliveryAddress[i].address;
                    showAddress(addressObj.DeliveryAddress[i].name, addressObj.DeliveryAddress[i].mobile, addDetailShow, addressObj.DeliveryAddress[i].provinceId, addressObj.DeliveryAddress[i].cityId, addressObj.DeliveryAddress[i].districtId, addressObj.DeliveryAddress[i].id, addressObj.DeliveryAddress[i].is_default);
                }
            }
            if(hasDefault == 0) {
                addType("addressMsg", "uhide");
                removeType("addAddress", "uhide");
            }
            firstGetAdd = 1;
        } else {
            localStorage.setItem("HisAddresses", data);
            localStorage.setItem("addChooseFrom", 1); //流程入口：报价
            localStorage.setItem("openType", 0); //编辑地址
            localStorage.setItem("isMainFunAdd", 1);
            appcan.window.open("SelectAddresses", "../address/SelectAddresses.html", 10);
        }
    }
}

//获取地址失败
function addressFail(data) {
    thenToast("获取用户地址失败", 2000);
    if(firstGetAdd == 0) {
        addType("addressMsg", "uhide");
        removeType("addAddress", "uhide");
        firstGetAdd = 1;
    }
}

var addressName = ""; //姓名
var addressPhone = ""; //电话
var addressDetails = ""; //详细地址
var addressProvId = ""; //地址省会id
var addressCityId = ""; //地址城市id
var addressQxId = ""; //地址区县id
var addressId = ""; //地址id
var isDefault = ""; //是否默认地址
//显示收货地址
function showAddress(name, mobile, addressDetail, provid, cityid, qxid, addresid, isdefalut) {
    addType("addAddress", "uhide");
    removeType("addressMsg", "uhide");
    $("#userName")[0].innerText = name;
    $("#userPhone")[0].innerText = mobile;
    $("#userAddress")[0].innerText = addressDetail;
    addressName = name;
    addressPhone = mobile;
    addressDetails = addressDetail;
    addressProvId = provid;
    addressCityId = cityid;
    addressQxId = qxid;
    if(!IsNull(addresid)) {
        addressId = addresid;
    }
    if(!IsNull(isdefalut)) {
        isDefault = isdefalut;
    }
}

//处理投保协议
var isAgree = true;
function agreeMent() {
    if($("#agree").attr("src") == "../img/opt.png") {
        $("#agree").attr({src: "../img/not.png"});
        isAgree = false;
    } else if($("#agree").attr("src") == "../img/not.png") {
        $("#agree").attr({src: "../img/opt.png"});
        isAgree = true;
    } 
}

//提交订单
function commitOrder() {
    if($("#addressMsg").hasClass("uhide") || IsNull(addressName) || IsNull(addressPhone) || IsNull(addressDetails)) {
        thenToast("请添加配送地址", 0);
        return;
    }
    if(!isAgree) {
        thenToast("请先同意投保协议", 0);
        return;
    }
    //获取核保需要的数据
    var data = getOrderChche();
    console.log(data);
    openPopWindow('animationPOP', '../popWindow/animationPOP.html');
    var submiter = new bizCar();
    submiter.orderSubmmit(data, subMmitSucc, subMmitFail);
};            

//获取核保需要的数据
function getOrderChche() {
    var currentOrder = localStorage.getItem("currentSafePlanOrder");
    if(IsNull(currentOrder)) {
        thenToast("获取核保信息错误,请重试", 2000);
        return;
    }
    currentOrder = JSON.parse(currentOrder);
    var orderNeedData = {};
    orderNeedData.offerCode = currentOrder.offercode; //报价单号id
    localStorage.setItem("completeInfoImg", currentOrder.offercode);//正常流程下部分保险公司需要上传证件
    var now = new Date();
    orderNeedData.sendDate = now.getFullYear() + "-" + fix(parseInt(now.getMonth() + 1), 2) + "-" + fix(now.getDate(), 2); //发送请求时间
    orderNeedData.invoice = ""; //发票抬头
    orderNeedData.postCode = ""; //邮件地址编号
    orderNeedData.policyEmail = currentOrder.userEmail; //电子保单邮箱
    //邮寄信息
    orderNeedData.addresseeName = addressName; //收件人
    orderNeedData.addresseeMobile = addressPhone; //收件电话
    orderNeedData.addresseeDetails = addressDetails; //收件详细地址
    orderNeedData.provinceId = addressProvId; //收件省份id
    orderNeedData.cityId = addressCityId; //收件城市id
    orderNeedData.districtId = addressQxId; //收件地区id
    orderNeedData.addressId = addressId; //收货地址id
    orderNeedData.isDefault = isDefault; //是否默认地址
    return orderNeedData;
}

//返回核保信息里需要的身份证性别
function returnIdOddEven(str) {
    return (str.substr(16,1)%2 ==0) ? "偶数" : "奇数";
}

//返回核保信息里需要的身份证生日
function returnIdBrithday(str) {
    return str.substr(6,4) + "-" + str.substr(10,2) + "-" + str.substr(12,2);
}

//核保接口连接成功
function subMmitSucc(data) {
    uexWindow.closePopover('animationPOP');
    showLog("提交订单成功", data);
    console.log(data);
    if(IsSuccess(data) == 1) {
        data = JSON.parse(data);
        if(!IsNull(data.payLink)) { //拿到支付连接，走外部支付页面
            localStorage.setItem("toPayLink", data.payLink);
            appcan.window.open("paypage", "../pay/paypage.html");
        } else { //没拿到支付连接的状态
            if(data.status == 0) { //异步核保
                var ErrorSubMsg = {
                    errtitle: "异步核保",
                    errcode: data.status,
                    errmsg: "原因及解决方案：" + data.msg
                }
                localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
                appcan.window.open("orderError", "orderError.html");
            } else { //没拿到支付连接，走本地页面
                var paymentId = data.bizID;
                var paymentUrl = "http://m.ydche.com/ping/buttonPay/"+paymentId;
                appcan.frame.open("apppay", paymentUrl, 0, 0);
            };
        }
    } else if(IsSuccess(data) == '1998' || IsSuccess(data) == 1998) { //异步核保
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "异步核保",
            errcode: data.result,
            errmsg: "原因及解决方案：" + data.msg
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "orderError.html");
    } else if(IsSuccess(data) == '1997' || IsSuccess(data) == 1997) { //保险公司核保接口连接失败或没有添加订单
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "核保失败",
            errcode: data.result,
            errmsg: "原因及解决方案："+data.msg+"；保险公司核保接口连接失败或未查询到该订单。"
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "orderError.html"); 
    } else if(IsSuccess(data) == '0' || IsSuccess(data) == 0) { //核保失败
        data = JSON.parse(data);
        if((data.status == 14 && data.completeInfo == true) || (data.status == 14 && data.completeInfo == "true")){ //保险公司需要完善信息
            var ErrorSubMsg = {
                errtitle: "核保失败",
                errcode: data.completeInfo,
                errmsg: "原因及解决方案：" + data.msg
            }
        } else{ //核保失败
            var ErrorSubMsg = {
                errtitle: "核保失败",
                errcode: data.status,
                errmsg: "原因及解决方案："+data.msg
            }
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "orderError.html");
    } else if(IsSuccess(data) == '-2' || IsSuccess(data) == -2) { // 已经核保过
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "核保失败",
            errcode: data.result,
            errmsg: "原因及解决方案：该订单已进行过核保，请到订单管理中查看。"+data.msg
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "orderError.html");
    }
};

//核保接口连接失败
function subMmitFail(data) {
    uexWindow.closePopover('animationPOP');
    data = JSON.parse(data);
    var ErrorSubMsg = {
        errtitle: "核保失败",
        errcode: "orderSubmit接口出错",
        errmsg: "原因及解决方案：提交订单失败，与保险公司连接出错。"
    }
    localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
    appcan.window.open("orderError", "orderError.html");
}