var firstLogin = true; //是否初次登录
appcan.ready(function() {
    initUser(); //初始界面
});


//初始化用户
function initUser() {
    var userInfo = localStorage.getItem("historyLoginPhone");
    if(!IsNull(userInfo)) {
        addType("noLoginInfo", "uhide");
        removeType("loginOhter", "uhide");
        removeType("hasLoginInfo", "uhide");
        userInfo = JSON.parse(userInfo);
        if(IsNull(userInfo.userUrl)) {
            $("#userPhoto")[0].src = "../img/user.png";
        } else {
            $("#userPhoto")[0].src = getPhotoSrc(userInfo.userUrl);
        }
        $("#userphone")[0].innerText = userInfo.userPhone;
        $("#userpwd")[0].value = "";
        $("#usermoblie")[0].value = "";
        firstLogin = false;
    } else {
        addType("loginOhter", "uhide");
        addType("hasLoginInfo", "uhide");
        removeType("noLoginInfo", "uhide");
        firstLogin = true;
    }
}

var canLogin = false; //是否允许登录
//输入账号和密码改变按钮颜色
function changeLoginBtn(){
    var checkMobile = $("#usermoblie").val();
    var checkPwd = $("#userpwd").val();
    if(firstLogin) { //无本地信息登录
        addType("mobileErr", "uhide");
        $("#mobileInput").css("borderBottom", "1px solid #ccc");
        addType("passwordErr", "uhide");
        $("#pwdInput").css("borderBottom", "1px solid #ccc");
        if(!IsNull(checkMobile)) {
            removeType("closeMobile", "uhide");
        } else {
            addType("closeMobile", "uhide");
        }
        if(!IsNull(checkPwd)) {
            removeType("closePwd", "uhide");
        } else {
            addType("closePwd", "uhide");
        }
        if(!IsNull(checkMobile) && !IsNull(checkPwd)) {
            $("#loginIn").css("backgroundColor", "#ea4040");
            canLogin = true;
        } else {
            $("#loginIn").css("backgroundColor", "#dcdfe6");
            canLogin = false;
        }
    } else if(!firstLogin) { //有本地信息登录
        addType("passwordErr", "uhide");
        $("#pwdInput").css("borderBottom", "1px solid #ccc");
        if(!IsNull(checkPwd)) {
            $("#loginIn").css("backgroundColor", "#ea4040");
            removeType("closePwd", "uhide");
            canLogin = true;
        } else {
            $("#loginIn").css("backgroundColor", "#dcdfe6");
            addType("closePwd", "uhide");
            canLogin = false;
        }
    }
}

//清除用户名
function clearMobile() {
    $("#usermoblie")[0].value = "";
    addType("closeMobile", "uhide");
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    $("#loginIn").css("backgroundColor", "#dcdfe6");
    canLogin = false;
}

//清除密码
function clearPwd() {
    $("#userpwd")[0].value = "";
    addType("closePwd", "uhide");
    addType("passwordErr", "uhide");
    $("#pwdInput").css("borderBottom", "1px solid #ccc");
    $("#loginIn").css("backgroundColor", "#dcdfe6");
    canLogin = false;
}

//登录其他账号按钮
function changeAccount(){
    $("#usermoblie")[0].value = "";
    $("#userpwd")[0].value = "";
    $("#loginIn").css("backgroundColor", "#dcdfe6");
    addType("loginOhter", "uhide");
    addType("hasLoginInfo", "uhide");
    addType("closeMobile", "uhide");
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    addType("closePwd", "uhide");
    addType("passwordErr", "uhide");
    $("#pwdInput").css("borderBottom", "1px solid #ccc");
    removeType("noLoginInfo", "uhide");
    firstLogin = true;
    canLogin = false;
}

var userphone = ''; //用户电话号码
var userpsw = ''; //用户密码
//登陆 
function login() {
    if(canLogin) {
        if(firstLogin) { //无本地信息登录
            userphone = $("#usermoblie").val();
            userpsw = $("#userpwd").val();
            if(IsNull(userphone) || !checkPhone(userphone)) {
                removeType("mobileErr", "uhide");
                $("#mobileInput").css("borderBottom", "1px solid #ea4040");
                return;
            }
            if(IsNull(userpsw)) {
                removeType("passwordErr", "uhide");
                $("#pwdInput").css("borderBottom", "1px solid #ea4040");
                return;
            }
        } else if(!firstLogin) { //有本地信息登录
            userphone = $("#userphone")[0].innerText;
            userpsw = $("#userpwd").val();
            if(IsNull(userpsw)) {
                removeType("passwordErr", "uhide");
                $("#pwdInput").css("borderBottom", "1px solid #ea4040");
                return;
            }
        }
        openPopWindow('animationPOP', '../popWindow/animationPOP.html');
        var loginer = new bizUic();
        loginer.login(userphone, userpsw, loginSucc, loginFail);
    }
}

//登陆成功
function loginSucc(data) {
    console.log("登录信息==>" + data);
    uexWindow.closePopover('animationPOP');
    var loginData = JSON.parse(data);
    if(loginData.result == 1999) {
        localStorage.setItem("mytoken", loginData.token);
        var userInfo = {}; //用户信息
        userInfo.token = loginData.token; //token
        userInfo.userId = loginData.id; //userId
        userInfo.easmPsw = loginData.pwd; //psw
        userInfo.userName = loginData.aliasName; //userName
        userInfo.userPhone = userphone; //userPhone
        userInfo.userUrl = loginData.photourl;
        userInfo.IsPwdMoney = loginData.isHavePayPwd; //是否设置了取款密码标志
        userInfo.IsAuthenticate = loginData.isrealname; //是否实名认证
        userInfo.hasAgent = loginData.agentMark; //是否已经有上级代理
        userInfo.isRealied = loginData.isrealname; //是否实名认证
        localStorage.setItem("curUseInfo", JSON.stringify(userInfo));
        var historyLogin = {};
        historyLogin.userUrl = loginData.photourl;
        historyLogin.userPhone = userphone;
        localStorage.setItem("historyLoginPhone", JSON.stringify(historyLogin));
        appcan.window.publish("tomainpage", ''); //跳转到首页
        appcan.window.bringPopoverToFront('root');
        appcan.window.evaluateScript("login", "appcan.window.close(-1);", 0);
    } else {
        removeType("passwordErr", "uhide");
        $("#pwdInput").css("borderBottom", "1px solid #ea4040");
    }
}

//登陆失败
function loginFail(data) {
    thenToast("连接服务器失败，请重试", 0);
    uexWindow.closePopover('animationPOP');
}

//注册
function regist() {
    appcan.window.open("register", "register.html", 10);
}

//忘记密码
function forgetPsw() {
    localStorage.setItem("resetPwdType", 2);
    appcan.window.open("forgetpsw", "forgetpsw.html", 10);
}

//快捷登录
function torapidLogin() {
    appcan.window.open("rapidLogin", "rapidLogin.html", 10);
}