var canGetCode = false; //是否允许获取验证码
var waitingCode = false; //等待验证码中（定时器开启状态）
function changeLoginBtn(){
    var checkMobile = $("#usermoblie").val();
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    if(waitingCode) {
        canGetCode = false;
        if(!IsNull(checkMobile) && checkMobile.length == 11) {
            removeType("closeMobile", "uhide");
            $("#fastLoginIn").css("backgroundColor", "#ea4040");
        } else {
            if(!IsNull(checkMobile)) {
                removeType("closeMobile", "uhide");
            } else {
                addType("closeMobile", "uhide");
            }
            $("#fastLoginIn").css("backgroundColor", "#dcdfe6");
        }
    } else if(!waitingCode) {
        if(!IsNull(checkMobile) && checkMobile.length == 11) {
            removeType("closeMobile", "uhide");
            $("#getCode").css("backgroundColor", "#ea4040");
            $("#getCode").css("border", "1px solid #ea4040");
            $("#fastLoginIn").css("backgroundColor", "#ea4040");
            canGetCode = true;
        } else {
            if(!IsNull(checkMobile)) {
                removeType("closeMobile", "uhide");
            } else {
                addType("closeMobile", "uhide");
            }
            $("#getCode").css("backgroundColor", "#dcdfe6");
            $("#getCode").css("border", "1px solid #dcdfe6");
            $("#fastLoginIn").css("backgroundColor", "#dcdfe6");
            canGetCode = false;
        }
    }
}

//清除用户名
function clearMobile() {
    if(waitingCode) {
        
    } else if(!waitingCode) {
        $("#getCode").css("backgroundColor", "#dcdfe6");
        $("#getCode").css("border", "1px solid #dcdfe6");
    }
    $("#usermoblie")[0].value = "";
    addType("closeMobile", "uhide");
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    addType("codeErr", "uhide");
    $("#codeInput").css("borderBottom", "1px solid #ccc");
    $("#fastLoginIn").css("backgroundColor", "#dcdfe6");
    canGetCode = false;
}

//消除验证码错误提示
function clearErrCode() {
    addType("codeErr", "uhide");
    $("#codeInput").css("borderBottom", "1px solid #ccc");
}

//获取验证码
function getMsgCode() {
    var getCodeMobile = $("#usermoblie").val();
    if(canGetCode){
        if(IsNull(getCodeMobile) || !checkPhone(getCodeMobile)) {
            removeType("mobileErr", "uhide");
            $("#mobileInput").css("borderBottom", "1px solid #ea4040");
            return;
        }
        var loginer = new bizUic();
        loginer.GetFastLoginCode(getCodeMobile, verifyCodeSucc, verifyCodeFail);
    }
}

// 获取验证码成功
function verifyCodeSucc(data) {
    var data = JSON.parse(data);
    if(data.result == 1999) {
        waitingCode = true;
        canGetCode = false;
        intervalCode();
    } else {
        thenToast(data.msg, 0);
    }
}

//获取验证码失败
function verifyCodeFail(data) {
    thenToast("连接服务器失败，请重试", 0);
    waitingCode = false;
    canGetCode = true;
}

var seconds = 60;
//验证码定时器
function intervalCode(){
    setTimeout(function() {
        seconds--;
        $("#getCode").css("backgroundColor", "#fdecec");
        $("#getCode").css("border", "1px solid #ea4040");
        $("#getCode").css("color", "#ea4040");
        $("#getCode")[0].innerText = seconds + "s";
        if(seconds == 0) {
            waitingCode = false;
            canGetCode = true;
            changeLoginBtn();
            $("#getCode")[0].innerText = "获取验证码";
            $("#getCode").css("color", "#fff");
            seconds = 60;
        } else {
            intervalCode();
        }
    }, 1000);
}

//登录
function login() {
    var mobile = $("#usermoblie").val();
    var verifycode = $("#msgCode").val();
    if(IsNull(mobile) || !checkPhone(mobile)) {
        removeType("mobileErr", "uhide");
        $("#mobileInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    if(IsNull(verifycode)) {
        removeType("codeErr", "uhide");
        $("#codeInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    openPopWindow('animationPOP', '../popWindow/animationPOP.html');
    var loginer = new bizUic();
    loginer.loginFast(mobile, verifycode, loginSucc, loginFail);
}

//登陆成功
function loginSucc(data) {
    console.log("登录信息==>" + data);
    uexWindow.closePopover('animationPOP');
    var loginData = JSON.parse(data);
    if(loginData.result == 1999) {
        localStorage.setItem("mytoken", loginData.token);
        var userInfo = {}; //用户信息
        userInfo.token = loginData.token; //token
        userInfo.userId = loginData.id; //userId
        userInfo.easmPsw = loginData.pwd; //psw
        userInfo.userName = loginData.aliasName; //userName
        userInfo.userPhone = $("#usermoblie").val(); //userPhone
        userInfo.userUrl = loginData.photourl;
        userInfo.IsPwdMoney = loginData.isHavePayPwd; //是否设置了取款密码标志
        userInfo.IsAuthenticate = loginData.isrealname; //是否实名认证
        userInfo.hasAgent = loginData.agentMark; //是否已经有上级代理
        userInfo.isRealied = loginData.isrealname; //是否实名认证
        localStorage.setItem("curUseInfo", JSON.stringify(userInfo));
        var historyLogin = {};
        historyLogin.userUrl = loginData.photourl;
        historyLogin.userPhone = $("#usermoblie").val();
        localStorage.setItem("historyLoginPhone", JSON.stringify(historyLogin));
        appcan.window.publish("tomainpage", ''); //跳转到首页
        appcan.window.bringPopoverToFront('root');
        appcan.window.evaluateScript("login", "appcan.window.close(-1);", 0);
        appcan.window.evaluateScript("rapidLogin", "appcan.window.close(-1);", 0);
    } else {
        removeType("codeErr", "uhide");
        $("#codeInput").css("borderBottom", "1px solid #ea4040");
    }
}

//登陆失败
function loginFail(data) {
    thenToast("连接服务器失败，请重试", 0);
    uexWindow.closePopover('animationPOP');
}