var canGetCode = false; //是否允许获取验证码
var waitingCode = false; //等待验证码中（定时器开启状态）
//用户手机号输入改变状态
function changeBtn(){
    var checkMobile = $("#usermoblie").val();
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    if(waitingCode) {
        canGetCode = false;
        if(!IsNull(checkMobile) && checkMobile.length == 11) {
            removeType("closeMobile", "uhide");
            $("#regist").css("backgroundColor", "#ea4040");
        } else {
            if(!IsNull(checkMobile)) {
                removeType("closeMobile", "uhide");
            } else {
                addType("closeMobile", "uhide");
            }
            $("#regist").css("backgroundColor", "#dcdfe6");
        }
    } else if(!waitingCode) {
        if(!IsNull(checkMobile) && checkMobile.length == 11) {
            removeType("closeMobile", "uhide");
            $("#getCode").css("backgroundColor", "#ea4040");
            $("#getCode").css("border", "1px solid #ea4040");
            $("#regist").css("backgroundColor", "#ea4040");
            canGetCode = true;
        } else {
            if(!IsNull(checkMobile)) {
                removeType("closeMobile", "uhide");
            } else {
                addType("closeMobile", "uhide");
            }
            $("#getCode").css("backgroundColor", "#dcdfe6");
            $("#getCode").css("border", "1px solid #dcdfe6");
            $("#regist").css("backgroundColor", "#dcdfe6");
            canGetCode = false;
        }
    }
}

//清除用户手机号
function clearMobile() {
    if(waitingCode) {
        
    } else if(!waitingCode) {
        $("#getCode").css("backgroundColor", "#dcdfe6");
        $("#getCode").css("border", "1px solid #dcdfe6");
    }
    $("#usermoblie")[0].value = "";
    addType("closeMobile", "uhide");
    addType("mobileErr", "uhide");
    $("#mobileInput").css("borderBottom", "1px solid #ccc");
    addType("codeErr", "uhide");
    $("#codeInput").css("borderBottom", "1px solid #ccc");
    $("#regist").css("backgroundColor", "#dcdfe6");
    canGetCode = false;
}

//短信框改变内容恢复原状
function clearErrCode() {
    addType("codeErr", "uhide");
    $("#codeInput").css("borderBottom", "1px solid #ccc");
}

//分享人输入框改变状态
function changeShare(){
    var checkMobile = $("#sharemoblie").val();
    addType("shareErr", "uhide");
    $("#shareInput").css("borderBottom", "1px solid #ccc");
    if(!IsNull(checkMobile)) {
        removeType("closeShare", "uhide");
    } else {
        addType("closeShare", "uhide");
    }
}

//清除分享人电话
function clearShare() {
    $("#sharemoblie")[0].value = "";
    addType("shareErr", "uhide");
    $("#shareInput").css("borderBottom", "1px solid #ccc");
    addType("closeShare", "uhide");
}

//获取验证码
function getMsgCode() {
    var getCodeMobile = $("#usermoblie").val();
    if(canGetCode){
        var submiter = new bizUic();
        submiter.checkInviter(getCodeMobile, isRegistSucc, isRegistFail);
    }
}

//检测手机是否注册
function isRegistSucc(data) {
    data = JSON.parse(data);
    if(data.result == 0) {
        var getCodeMobile = $("#usermoblie").val();
        if(IsNull(getCodeMobile) || !checkPhone(getCodeMobile)) {
            removeType("mobileErr", "uhide");
            $("#mobileInput").css("borderBottom", "1px solid #ea4040");
            return;
        }
        var getCoder = new bizUic();
        getCoder.GetVerifiyCode(getCodeMobile, 3, verifyCodeSucc, verifyCodeFail);
    } else if(data.result == 1999) {
        thenToast("该手机号已注册！", 0);
    }
}

function isRegistFail(data) {
    thenToast("未检测到该手机号是否注册，请稍后重试！", 0);
}

//获取验证码成功
function verifyCodeSucc(data) {
    console.log("短信"+data);
    var data = JSON.parse(data);
    if(data.result == 1999) {
        waitingCode = true;
        canGetCode = false;
        intervalCode();
    } else {
        thenToast(data.msg, 0);
    }
}

//验证码失败
function verifyCodeFail(data) {
    thenToast("连接服务器失败，请重试", 0);
    waitingCode = false;
    canGetCode = true;
}

var seconds = 60;
//验证码定时器
function intervalCode(){
    setTimeout(function() {
        seconds--;
        $("#getCode").css("backgroundColor", "#fdecec");
        $("#getCode").css("border", "1px solid #ea4040");
        $("#getCode").css("color", "#ea4040");
        $("#getCode")[0].innerText = seconds + "s";
        if(seconds == 0) {
            waitingCode = false;
            canGetCode = true;
            changeBtn();
            $("#getCode")[0].innerText = "获取验证码";
            $("#getCode").css("color", "#fff");
            seconds = 60;
        } else {
            intervalCode();
        }
    }, 1000);
}

var shareId = "";
var shareUser = "";
//下一步：检查邀请人信息
function registIn(){
    var inviter = $("#sharemoblie").val();
    if(!IsNull(inviter)) {
        if(inviter.length != 11) {
            removeType("shareErr", "uhide");
            $("#shareInput").css("borderBottom", "1px solid #ea4040");
            return;
        };
        if(!checkPhone(inviter)) {
            removeType("shareErr", "uhide");
            $("#shareInput").css("borderBottom", "1px solid #ea4040");
            return;
        };
        if(inviter == $("#usermoblie").val()) {
            removeType("shareErr", "uhide");
            $("#shareInput").css("borderBottom", "1px solid #ea4040");
            return;
        };
        var submiter = new bizUic();
        submiter.checkInviter(inviter, checkShareSucc, checkShareFail);
    } else {
        checkCode();
    }
}

//检查邀请人成功
function checkShareSucc(data) {
    data = JSON.parse(data);
    if(data.result == 0) {
        removeType("shareErr", "uhide");
        $("#shareInput").css("borderBottom", "1px solid #ea4040");
        return;
    } else if(data.result == 1999) {
        shareId = data.CheckId;
        shareUser = data.CkeckMobile;
        checkCode();
    }
}

//检查邀请人失败
function checkShareFail(data) {
    thenToast("连接服务器失败，请重试", 0);
}

//下一步：检查短信验证码
function checkCode() {
    if(IsNull($("#usermoblie").val())) {
        removeType("mobileErr", "uhide");
        $("#mobileInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    if(IsNull($("#msgCode").val())) {
        removeType("codeErr", "uhide");
        $("#codeInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    //校验
    var getCoder = new bizUic();
    getCoder.checkVerifyCode($("#usermoblie").val(), $("#msgCode").val(), checkCodeSucc, checkCodeFail);
}

//检查验证码成功
function checkCodeSucc(data) {
    if(IsSuccess(data) != 1) {
        removeType("codeErr", "uhide");
        $("#codeInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    shareId = shareId ? shareId : "";
    shareUser = shareUser ? shareUser : "";
    var registData = {
        "registPhone": $("#usermoblie").val(),
        "registCode": $("#msgCode").val(),
        "checkId": shareId,
        "owner_mobile": shareUser
    };
    localStorage.setItem("resetPwdType", 1);
    localStorage.setItem("registData", JSON.stringify(registData));
    appcan.window.open("registerNext", "registerNext.html");
}

//检查验证码失败
function checkCodeFail() {
    thenToast("连接服务器失败，请重试", 0);
}

//用户协议
function toAggremment() {
    appcan.window.open("userAgreement", "../more/userAgreement.html", 10);
}