var bizSelfManage = new bizSelfManage();
appcan.ready(function() {
    appcan.window.subscribe("refreshBankCardList", function(){ //刷新列表
        bizSelfManage.getBankList(getBankListSucc,getBankListError);
    })
    bizSelfManage.getBankList(getBankListSucc,getBankListError);
});

function getBankListSucc(data){
    $("#bankList").empty();
    if(IsSuccess(data) != 1){return;}
    var objdata = JSON.parse(data);
    for(var i=0; i<objdata.bankcardinfo.length; i++){
        var strscript = '<li cardId="' + objdata.bankcardinfo[i].bankcardId + '" cardName="' + objdata.bankcardinfo[i].bankcardName + '" onclick="chooseCard(this)">' +
        '<div class="ub ub-ac"><img src="' + getPhotoSrc(objdata.bankcardinfo[i].logoURL) + '" />' +
        '<div class="ub ub-ver ub-pj"><h5>' + objdata.bankcardinfo[i].bankcardName + '</h5>' +
        '<h6>储蓄卡</h6></div></div>' +
        '<p class="ub"><span class="ub-f1">' + objdata.bankcardinfo[i].bankcardId.substr(0, 4) +
        '</span><span class="ub-f1">****</span><span class="ub-f1">****</span>' +
        '<span class="ub-f1">' + objdata.bankcardinfo[i].bankcardId.substr(-4) + '</span></p></li>';
        $("#bankList").append(strscript);  
    }
}

function getBankListError(error){
    thenToast("未获取到银行卡列表，请稍后重试",0);
};

//添加银行卡
function addBankCard(){
    localStorage.setItem("addBankCardFrom", 1);
    appcan.window.open("addBankCard","addBankCard.html");
}

//打开到常见问题
function openToQuestion(){
    appcan.window.open('commonQuestion','commonQuestion.html');
}

//根据页面判断点击银行卡出现情况
function chooseCard(obj) {
    localStorage.setItem("untieCard",$(obj)[0].getAttribute("cardId"));
    openPopWindow("cardsOperatePOP","../popWindow/cardsOperatePOP.html");
}