var list = {};
//省份对象
var dataFrom = "";
//数据源
var historyLength = 6;
//定义展示历史纪录的长度。目前定义为6条
var historyArray = [];
//历史城市列表
var provener = new bizCitys();
//当前省份
var currentProvince = '';
//当前省份id 
var currentProvinceId = '';

appcan.ready(function() {
	uexIndexBar.onTouchResult = function(opId, dataType, data) {
		location.href = "#" + data;
	}
	showHistory();
	//展示历史纪录
	getDataFrom();
	//页面调用数据初始化
	getProvince();
	//获取省份
})

//展示历史纪录
function showHistory() {
	var citieshistory = localStorage.getItem("cityHistory");
	if(IsNull(citieshistory)) { //如果为空
		historyArray = new Array();
	} else {
		historyArray = JSON.parse(citieshistory);
	}
	historyDetail(historyArray);
}

//渲染历史纪录
function historyDetail(citys) {
	if(IsNull(citys)) {
		//thenToast("没有找到城市历史纪录", 0);
		addType("citySlected", "uhide");
		return;
	};
	//如果长度大于指定长度，删掉第一位
	if(citys.length > historyLength) {
		citys.splice(0, 1);
		localStorage.setItem("cityHistory", JSON.stringify(citys));
	};
	console.log(citys);
	$("#cityhistory").empty();
	var cityStr = '';
	for(var i = 0; i < citys.length; i++) {
		var city = JSON.parse(citys[i]);
		var qxname = city.qxname;
		var qxid = city.qxid;
		var cityname = city.cityname;
		var cityid = city.cityid;
		var provid = city.provId;
		var proName = city.provName;
		cityStr += '<li class=""  qxname="' + qxname + '" qxid="' + qxid + '" cityname="' + cityname + '" cityid="' + cityid + '"  provid="' + provid + '" provname="' + proName + '"  onclick="hisClick(this)">' + qxname + ' <img src="img/close.png" onclick="deleHis(' + i + ')">' + '</li>';
	};
	$("#cityhistory").append(cityStr);
}

//点击历史记录选择城市
function hisClick(obj) {
	var qxname = obj.getAttribute("qxname");
	var qxid = obj.getAttribute("qxid");
	var cityname = obj.getAttribute("cityname");
	var cityid = obj.getAttribute("cityid");
	var provid = obj.getAttribute("provid");
	var provname = obj.getAttribute("provname");
	var cityobj = {
		"qxname": qxname,
		"qxid": qxid,
		"cityname": cityname,
		"cityid": cityid,
		"provId": provid,
		"provName": provname
	};
	var cityobjstr = JSON.stringify(cityobj);
	slecCity(cityobjstr);
}

//删除历史记录中的选项
function deleHis(index) {
	event.stopPropagation();
	var citieshistory = localStorage.getItem("cityHistory");
	console.log(citieshistory)
	if(IsNull(citieshistory)) { //如果为空
		historyArray = new Array();
	} else {
		historyArray = JSON.parse(citieshistory);
	}
	historyArray.splice(index, 1);
	localStorage.setItem("cityHistory", JSON.stringify(historyArray));
	//刷新已选城市
	historyDetail(historyArray);
}

//判断页面来源
function getDataFrom() {
	dataFrom = localStorage.getItem("citySlect");
	//页面调用需要传的参数
	if(!IsNull(dataFrom)) {
		dataFrom = JSON.parse(dataFrom);
	} else {
		thenToast("数据获取错误,请重试", 0);
		return;
	}
}

//加载省份列表
function loadCitys() {
	var str = '';
	$("#citylist").empty();
	//console.log(list.citys);
	for(var i in list.citys) {
		arr[list.citys[i].code] += '<ul>' + '<li class="ub list" onclick="provinceDetail(' + list.citys[i].provinceId + ',&quot' + list.citys[i].name + '&quot)">' + list.citys[i].name + '</li>' + '</ul>';
		//onclick="slecCity(&quot' + list.citys[i].name + '&quot)"
	};
	//console.log(arr);
	for(var i in arr) {
		var aa = arr[i];
		if(!IsNull(aa)) {
			str += '<div id="' + i + '" class="title">' + i + '</div>' + aa;
		};
	};
	//showLog("得到的字符串", str);
	//console.log(str)
	$('#citylist').html(str);
	openCityIndexBar();
	//侧边导航栏
	//展示全部 --欧君仁杰-2017.02.28
	if(localStorage.getItem('isShowAll')) {
		$('#cityhistory').empty().append('<li style="border: none" onclick="chooseAll()">全部</li>');
	}
}

//获取省份
function getProvince() {
	provener.getProvinces(proSuccess, provinFail);
}

//获取省下面的市区
function provinceDetail(provinceId, cityname) {
	//当前省份
	currentProvinceId = provinceId;
	currentProvince = cityname;
	provener.getCities(provinceId, getCitySucc, getCityFail);
	//城市测试
}

//获取二级城市成功
function getCitySucc(data) {
	showLog("城市列表成功", data);
	if(IsSuccess(data) == 1) {
		var cityData = {
			"province": currentProvince,
			"provId": currentProvinceId,
			"provData": data
		};
		//console.log(cityData);
		localStorage.setItem("cityList2", JSON.stringify(cityData));
		appcan.window.open("selectCity", "selectCity.html");
	}
}

//获取二级城市失败
function getCityFail(data) {
	connectFail("获取城市列表失败,请稍后重试");
}

//获取省份成功
function proSuccess(data) {
	showLog("获取省份成功", data);
	if(IsSuccess(data) == 1) {
		data = JSON.parse(data);
		//console.log(data)
		var city = new Array();
		//城市列表
		for(var i = 0; i < data.data.length; i++) {
			var provce = {
				"name": data.data[i].provinceName,
				"code": data.data[i].pinyinCode,
				"provinceId": data.data[i].provinceId
			};
			city.push(provce);
		};
		list.citys = city;
		//初始化省份数组
		loadCitys();
		//渲染
		getweizhi();
        //获取当前坐标
	}
}

//获取省份失败
function provinFail(data) {
	connectFail("获取省份失败,请稍后重试");
}

//历史记录城市点击事件
function slecCity(cityobjstr) {
	var type = dataFrom.type;
	var placeId = dataFrom.placeId;
	var cityobj = JSON.parse(cityobjstr);
	//var cityobj = cityobjstr;
	var content = '';
	//需要传递的内容
	if('userArea' == placeId || 'addcity_sub' == placeId || "trueaddress" == placeId || "planqx" == placeId) { //处理显示内容：修改地址、新增地址、正常流程选择投保城市
		content = cityobj.provName + "-" + cityobj.cityname + "-" + cityobj.qxname;
	} else {
		content = cityobj.qxname;
	}
	if(type == 1) { //是子页面调用
		if(placeId == "FriendsCircle") {
			appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "showinfo('" + placeId + "','" + content + "')");
		} else if(!IsNull(dataFrom.fatherPlaceId) && dataFrom.fatherPlaceId == "plancity") { //正常流程选择投保城市
            appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "show('" + dataFrom.fatherPlaceId + "','" + content + "','" + cityobj.provId + "','" + cityobj.cityid + "','" + cityobj.qxid + "')");
        } else {
			appcan.window.evaluatePopoverScript(dataFrom.urlName, "content", "show('" + placeId + "','" + content + "','" + cityobj.provId + "','" + cityobj.cityid + "','" + cityobj.qxid + "')");
		}
	} else if(type == 0) { //是父页面调用
		appcan.window.evaluateScript(dataFrom.urlName, "show('" + placeId + "','" + cityobj.qxname + "')", 0);
	}
	localStorage.removeItem("citySlect");
	localStorage.removeItem('isShowAll');
	appendCity(cityobjstr);
	appcan.window.evaluateScript("selectProvince", "appcan.window.close(-1);", 0);
}

//城市插入历史列表
function appendCity(cityobjstr) {
	console.log(cityobjstr)
	var citieshistory = localStorage.getItem("cityHistory");
	if(IsNull(citieshistory)) { //如果为空
		historyArray = new Array();
	} else {
		historyArray = JSON.parse(citieshistory);
	}
	if(historyArray.length > 0) {
		for(var i = 0; i < historyArray.length; i++) {
			if(JSON.parse(historyArray[i]).qxid == JSON.parse(cityobjstr).qxid) {
				historyArray.splice(i, 1);
			}
		};
	}
	historyArray.push(cityobjstr);
	localStorage.setItem("cityHistory", JSON.stringify(historyArray));
	//刷新已选城市
	historyDetail(historyArray);
}

//选择全部
function chooseAll() {
	localStorage.removeItem('isShowAll');
	appcan.frame.evaluateScript("FriendsCircle", "content", "$('#citySl').val('查询城市');getData();");
	appcan.window.evaluateScript("selectProvince", "appcan.window.close(-1);", 0);
}

var currentCity = '';
var currentCityId = '';
//热门城市的点击事件
//获取城市下面的区县
function getCityDetail(cityId, cityname) {
	//针对朋友圈返回
	//页面调用需要传的参数
	var dataFrom = localStorage.getItem("citySlect");
	if(!IsNull(dataFrom)) {
		dataFrom = JSON.parse(dataFrom);
	} else {
		thenToast("数据获取错误,请重试", 0);
		return;
	}
	console.log(dataFrom);
	var type = dataFrom.type;
	var placeId = dataFrom.placeId;
	currentCityId = cityId;
	currentCity = cityname;
	provener.getQXinfo(cityId, cityDetSucc, cityDetFail);
}

//获取成功
function cityDetSucc(data) {
	showLog("城市详情", data);
	console.log(data);
	if(IsSuccess(data) == 1) {
		var cityData;
		console.log(currentCity);
		switch(currentCity) {
			case "北京市":
				console.log("1");
				cityData = {
					"faCity": currentCity,
					"faCityId": currentCityId,
					"faProv": "北京市",
					"faProvId": 1,
					"qxdata": data
				};
				break;
			case "广州市":
				console.log("2");
				cityData = {
					"faCity": currentCity,
					"faCityId": currentCityId,
					"faProv": "广东省",
					"faProvId": 19,
					"qxdata": data
				};
				break;
			case "杭州市":
				console.log("3");
				cityData = {
					"faCity": currentCity,
					"faCityId": currentCityId,
					"faProv": "浙江省",
					"faProvId": 11,
					"qxdata": data
				};
				break;
			case "上海市":
				console.log("4");
				cityData = {
					"faCity": currentCity,
					"faCityId": currentCityId,
					"faProv": "上海市",
					"faProvId": 9,
					"qxdata": data
				};
				break;
			case "深圳市":
				console.log("5");
				cityData = {
					"faCity": currentCity,
					"faCityId": currentCityId,
					"faProv": "广东省",
					"faProvId": 19,
					"qxdata": data
				};
				break;
		};
		console.log(cityData);
		localStorage.setItem("cityList3", JSON.stringify(cityData));
		appcan.window.open("selectDistrict", "selectDistrict.html");
	};
};

//获取失败
function cityDetFail(data) {
	connectFail("获取城市的区县失败,请稍后重试");
};
//城市模糊查询
function citysearch(obj) {
	var inut = obj.value;
	var arr = /^[\u4e00-\u9fa5]*$/;
	var a = arr.test(inut);
	if(!a || inut == '') {
		addType("Exhibition", "uhide");
		console.log("输入错误");
		return;
	};
	console.log(inut);
	removeType("posito", "uhide");
	provener.getvague(inut, citysearchSuccess, citysearchfail)
};

//模糊查询成功
function citysearchSuccess(obj) {
	obj = JSON.parse(obj).data;
	var meg = "";
	console.log(obj);
	$("#Exhibition ul").empty();
	for(var i = 0; i < obj.length; i++) {
		console.log(obj[i].proviceName);
		if(obj[i].proviceName == undefined) {
			meg += '<li class="ub list" faCityId=' + obj[i].id + ' faCity=' + obj[i].name + ' onclick="searchclick(this);">' + obj[i].name + '</li>';
			console.log("1");
		} else {
			meg += '<li class="ub list" faCityId=' + obj[i].id + ' faCity=' + obj[i].name + ' faProv=' + obj[i].proviceName + ' faProvId=' + obj[i].proviceID + ' onclick="searchclick(this);">' + obj[i].name + '</li>';
			console.log("0");
		};
	};
	console.log(meg);
	removeType("Exhibition", "uhide");
	addType("posito", "uhide");
	$("#Exhibition ul").append(meg);
};

//模糊查询失败
function citysearchfail(obj) {
	console.log(obj);
	addType("posito", "uhide");
	alert("网络连接失败，稍后再试")
};

var faCity;
var faCityId;
var faProv;
var faProvId;
//查询结果的点击事件
function searchclick(obj) {
	faCity = obj.getAttribute('faCity');
	faCityId = obj.getAttribute('faCityId');
	faProv = obj.getAttribute('faProv');
	faProvId = obj.getAttribute('faProvId');
	console.log(faCity);
	console.log(faCityId);
	console.log(faProv);
	console.log(faProvId);
	if(faCityId != null) {
	    if(faProv == null && faProvId == null) {
            provener.getCities(faCityId, searchclickSuccess, searchclickfail);
        } else {
            provener.getQXinfo(faCityId, searchclickSuccess, searchclickfail);
        }; 
	} else {
	    thenToast("未获取到定位信息", 0);
	}
	
};

//获取查询结果的下级成功
function searchclickSuccess(obj) {
	var cityd;
	if(faProv == null && faProvId == null) {
		cityd = {
			"province": faCity,
			"provId": faCityId,
			"provData": obj
		};
		localStorage.setItem("cityList2", JSON.stringify(cityd));
		appcan.window.open("selectCity", "selectCity.html");
	} else {
		cityd = {
			"faCity": faCity,
			"faCityId": faCityId,
			"faProv": faProv,
			"faProvId": faProvId,
			"qxdata": obj
		};
		localStorage.setItem("cityList3", JSON.stringify(cityd));
		appcan.window.open("selectDistrict", "selectDistrict.html");
	};
	console.log(cityd);
};

//获取查询结果下级失败
function searchclickfail(obj) {
	console.log(obj);
	alert("网络连接失败，稍后再试");
};

//获取当前位置
function getweizhi() {
    var currentProvinceName = localStorage.getItem("currentProvince");
	provener.getvague(currentProvinceName, getweizhiSuccess, getweizhifail);
    $("#Location p span").text(currentProvinceName);
};

//获取地址成功
function getweizhiSuccess(obj){
	obj = JSON.parse(obj).data;
	console.log(obj);
	console.log(obj[0].name);
	$("#Location p")[0].setAttribute('faCity',obj[0].name);
	$("#Location p")[0].setAttribute('faCityId',obj[0].id);
	$("#Location p")[0].setAttribute('faProv',obj[0].proviceName);
	$("#Location p")[0].setAttribute('faProvId',obj[0].proviceID);
};

//获取地址失败
function getweizhifail(obj){
	console.log(obj);
	alert("网络不可用");
};