var carobj = new bizCar();
var currentProv = ""; //当前车牌前缀
var nowChooseIndex = 0;
var isUploadPic = 0;
var scrollKeyHeight = 0;
appcan.ready(function() {
    uexWindow.hiddenBounceView(1);
    uexWindow.setBounce("0");
    locationCity();//定位城市
    advertScroll();//首页轮播图
    companyScroll();//公司轮播图
    getLiscenPro();//车牌前缀
    appcan.window.subscribe("upIndexmainSuc", upLiscenSucc);
    appcan.window.subscribe("pro_main", function(data) { //城市选择;
        $("#city")[0].innerHTML = data;
    });
    
    appcan.window.subscribe("tomainpage", function(data) { //到首页，如果有数据就填充数据
        console.log(data);
        setInputdata(data);
    });
    
    appcan.window.subscribe("minLiscenSet", function(data) { //完善数据
        setInputdata(data);
    });
    
    scrollKeyHeight = document.body.clientWidth / 100 * 150.14;
});

//定位城市（APP内部插件，需定位三次，选择最先获得的地址，故下面的方法都会执行四次）
function locationCity() {
    carobj.getLocation(getLocationSucc, getLocationFail);
    
}

function getLocationSucc(data) {
    console.log("当前城市定位：" + data);
    if(IsSuccess(data) == 1) {
        var dataobj = JSON.parse(data);
        if(IsNull(dataobj.location)) {
            return;
        } else {
            localStorage.setItem("currentProvince", dataobj.location);
        }
    }
    
}

function getLocationFail(data) {
    thenToast("未获取到用户城市信息", 0);
}

// 首页轮播广告图导航
function advertScroll(){
    var slider = appcan.slider({
        selector: '#advert',
        hasIndicator: false,
        hasLabel: false,
        aspectRatio: 0,
        index: 0,
        auto: 3000,
        hasContent: false,
        canDown: false,
        hasCircle:true,
        circleSlide: true,
    });
    slider.set([{img: "index/img/advert-first.png"}, {img: "index/img/advert-mid.png"}, {img: "index/img/advert-last.png"}]);
    slider.on("clickItem", function(index, data) {
        console.log(index, data);
        if(index == 0) {
            goIntegral();
        } else if(index == 1) {
            goShareIntegral();
        } else if(index == 2) {
            shareQRCode();
        }
    })
}

function goIntegral() {
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        opentoLogin('root_directory');
        return;
    }
    appcan.window.open('Signin', 'integral/Signin.html', 10);
}

function goShareIntegral() {
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        opentoLogin('root_directory');
        return;
    }
    appcan.window.open('shareIntegral', 'integral/shareIntegral.html', 10);
}

//给保险公司名单添加滚动事件
function companyScroll() {
    var myScroll = new IScroll('#mionz-company', {
        mouseWheel: true, //鼠标滚轮支持  
        //scrollbars: true, //滚动条支持  
        scrollY: false, //滚动方向（垂直）  
        scrollX: true, //滚动方向（水平）  
        bounce: true, //边界时的反弹动画，默认true  
        click: true, //IScroll默认禁止了点击事件，如需绑定点击事件，请将该参数值设为true  
        freeScroll: true, //当需要执行两个纬度上的滚动时（即横向、纵向都开启），设置该参数，默认为false  
        startX: 0, //滚动条开始的位置（横坐标）  
        startY: 0, //滚动条开始的位置（纵坐标）  
        tap: true, //设置为true时，允许为用户点击或者触摸（并没有滚动时）触发一个自定义事件，或者设置值为一个自定义事件名称的字符串  
        snap: 'li', //对齐（根据元素li对齐切割整个容器）  
        probeType: 3, //事件监听的强度
        preventDefault: false,
        interactiveScrollbars: true,
        useTransform: true
    });
}

//获取车牌前缀
function getLiscenPro() {
    carobj.getLiscenFrist(firstSucc, fristFail);
}

//车牌前缀成功
function firstSucc(data) {
    showLog("车牌前缀成功", data);
    if(IsSuccess(data) != 1) {
        return;
    }
    var dataobj = JSON.parse(data);
    if(!IsNull(dataobj.proviceName)) {
        currentProv = dataobj.proviceName;
        $("#city")[0].innerHTML = currentProv;
    }
    liscenseDefault();
}

//车牌前缀失败
function fristFail(dta) {
    showLog("前缀失败", 0);
}

//车牌初始化
function liscenseDefault() {
    var liscenHis = localStorage.getItem("liscenseHistoty");
    if(IsNull(liscenHis)) {
        return;
    }
    liscenHis = JSON.parse(liscenHis);
    keyboardData.nowLicense = liscenHis.liscense.split('');
    $("#cname")[0].value = liscenHis.cname;
    $("#city")[0].innerText = liscenHis.city;
    localStorage.removeItem("liscenseHistoty");
}

//填充数据
function setInputdata(data) {
    console.log("cheng")
    if(IsNull(data)) {
        //thenToast("没有数据,请重新输入",0);
        return;
    }
    var dataobj = JSON.parse(data);
    console.log(dataobj);
    keyboardData.nowLicense = dataobj.liscense.split('');
    $("#cname")[0].value = dataobj.cname;
    $("#city")[0].innerText = dataobj.city;
}

// 选择输入方式（手动/自动识别）
function selectTabWay(index){
    if(index == nowChooseIndex){
        return;
    }
    removeType("focusway_"+index, "uhide");
    addType("focusway_"+nowChooseIndex, "uhide");
    removeType("way_"+nowChooseIndex, "focus");
    addType("way_"+index, "focus");
    nowChooseIndex = index;
}

// 手动输入车牌
//选择省份
function citySet() {
    localStorage.setItem("porvSet", "pro_main");
    openPopWindow('provincePOP', 'popWindow/provincePOP.html');
}

function cxBuy() {
    if(nowChooseIndex == 0) { // 手动输入车牌
        var licenseStr = keyboardData.nowLicense.join('');
        if(IsNull(licenseStr)) {
            thenToast("请输入车牌号", 0);
            return;
        }
        if(IsNull($("#cname").val())) {
            thenToast("请输入车主姓名", 0);
            return;
        }
        localStorage.setItem("curname", $("#cname").val()); //储存车主名字
        var licenseNo = $("#city")[0].innerText + licenseStr.toUpperCase(); //车牌号
        localStorage.setItem("curliscense", licenseNo); //储存车牌号
        localStorage.setItem("curIndexWay", 0);
        carobj.getCarInfo(licenseNo, $("#cname").val(), getInfoSucc, getInfoFail); //调用接口
    } else if(nowChooseIndex == 1) { // 自动识别照片
        if(isUploadPic == 1) {
            isUploadPic = 0;
            localStorage.setItem("curIndexWay", 1);
            document.getElementById("automatic").src = "img/upload_idcardf.png";
            appcan.window.open("carinfo", "mainFlow/carinfo.html");
        } else if(isUploadPic == 0) {
            thenToast("还未上传行驶证！", 0);
        }
    }
}

function getInfoSucc(data) {
    showLog("获取成功", data);
    if(JSON.parse(data).result == 1999) {
        localStorage.setItem("carInfo", data);
    }
    appcan.window.evaluateScript("root", "appcan.window.open('carinfo', 'mainFlow/carinfo.html');", 0);
}

function getInfoFail(data) {
    appcan.window.evaluateScript("root", "appcan.window.open('carinfo', 'mainFlow/carinfo.html');", 0);
}

// 自动识别行驶证
function liscensePicUpdate() {
    localStorage.setItem("isIndexMainUp", "index_main");
    updatePic_New(upDriverUrl, upDriverCode, upLiscenSucc, upLiscenFail, "index_main", '0');
}

function upLiscenSucc(data) {
    if(IsSuccess(data) == 1) {
        localStorage.setItem("indexMainUploadImg", data);
        isUploadPic = 1;
        var uploadData = JSON.parse(data);
        document.getElementById("automatic").src = getPhotoSrc(uploadData.imgName);
    } else {
        isUploadPic = 0;
        thenToast("未获取到行驶证信息，请重试上传！", 0);
        document.getElementById("automatic").src = "img/upload_idcardf.png";
    }
}

function upLiscenFail(data) {
    isUploadPic = 0;
    document.getElementById("automatic").src = "img/upload_idcardf.png";
    thenToast("上传行驶证失败！", 0);
}

// 首页邀请好友
function shareQRCode() {
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        opentoLogin('root_directory');
        return;
    }
    appcan.window.open('shareQRCode', 'more/shareQRCode.html', 10);
}

//输入车牌失去焦点自动变大写
function changeInputText(_this) {
    $(_this).val($(_this).val().toUpperCase());
}



function goHealth() {
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        opentoLogin('root_directory');
        return;
    }
    appcan.window.open('health', 'single/health.html');
}
