var currentIndex = 1; //当前的tab
var pageindex = 1;
var pagesize = 10;
var currentNum = 1;
var orderget = new bizCar();
appcan.ready(function() {
    appcan.window.subscribe("indexGetOrderList", function(data){//响应头部订单nav的选择
        ordercheck(data);
    });
    appcan.window.publish("indexChangeOrderList", "1");
    $("#unLogin").css("height", $('body')[0].offsetHeight);
    var userInfo = localStorage.getItem("curUseInfo");
    if(IsNull(userInfo)) {
        removeType("unLogin", "uhide");
        addType("orderMain", "uhide");
        uexWindow.hiddenBounceView(1);
        uexWindow.setBounce("0");
    } else {
        addType("unLogin", "uhide");
        removeType("orderMain", "uhide");
        orderget.getUnfinishOrder(unlistSucc, unlistFail, 1, 10);
        setUpPushRefresh(upRefresh);
    }
})

function changeOrderLogin() {
    addType("unLogin", "uhide");
    removeType("orderMain", "uhide");
    $("#orderEmpty").css("height", $('body')[0].offsetHeight);
    currentIndex = 1;
    currentNum = 1;
    pageindex = 1;
    $("#orderList").empty();
    appcan.window.publish("indexChangeOrderList", "1");
    orderget.getUnfinishOrder(unlistSucc, unlistFail, pageindex, pagesize);
}

function login() {
    appcan.window.open("login", "user/login.html", 10);
}

//订单切换
function ordercheck(index) {
    if(currentIndex == index) {
        return;
    } else {
        currentIndex = index;
    }
    pageindex = 1;
    currentNum = 1;
    $("#orderList").empty();
    appcan.window.publish("indexChangeOrderList", index);
    if(index == 1) {
        orderget.getUnfinishOrder(unlistSucc, unlistFail, pageindex, pagesize);
    } else if(index == 2) {
        orderget.getfinishOrder(unlistSucc, unlistFail, pageindex, pagesize);
    } else if(index == 3) {
        orderget.getFailOrder(unlistSucc, unlistFail, pageindex, pagesize);
    }
}

//上拉刷新功能
function upRefresh(data) {
    pageindex = pageindex + 1;
    switch(currentIndex) {
        case 1: //代办
            orderget.getUnfinishOrder(unlistSucc, unlistFail, pageindex, pagesize);
            break;
        case 2: //完成
            orderget.getfinishOrder(unlistSucc, unlistFail, pageindex, pagesize);
            break;
        case 3: //失败
            orderget.getFailOrder(unlistSucc, unlistFail, pageindex, pagesize);
            break;
    }
}

//未完成列表成功
function unlistSucc(data) {
    showLog("获取订单列表", data);
    localStorage.setItem("requestpageFrom","root_directory");
    if(IsSuccess(data) == 1) {
        if(pageindex == 1) {
            $("#orderList").empty();
        }
        data = JSON.parse(data);
        console.log(data);
        if(currentIndex == 1) {
            if(currentNum == 1 && data.unfinishedorderinfo.length < 1) {
                removeType("orderEmpty", "uhide");
            } else {
                currentNum = 2;
                addType("orderEmpty", "uhide");
            }
            for(var i = 0; i < data.unfinishedorderinfo.length; i++) {
                showOrderInfo(data.unfinishedorderinfo[i]);
            };
        } else if(currentIndex == 2) {
            if(currentNum == 1 && data.finishedorderinfo.length < 1) {
                removeType("orderEmpty", "uhide");
            } else {
                currentNum = 2;
                addType("orderEmpty", "uhide");
            }
            for(var i = 0; i < data.finishedorderinfo.length; i++) {
                showOrderInfo(data.finishedorderinfo[i]);
            };
        } else if(currentIndex == 3) {
            if(currentNum == 1 && data.failOrderinfo.length < 1) {
                removeType("orderEmpty", "uhide");
            } else {
                currentNum = 2;
                addType("orderEmpty", "uhide");
            }
            for(var i = 0; i < data.failOrderinfo.length; i++) {
                showOrderInfo(data.failOrderinfo[i]);
            }
        }
    } else {
        if(pageindex == 1) {
            $("#orderList").empty();
            removeType("orderEmpty", "uhide");
        }
    }
}

//订单失败
function unlistFail(data) {
    if(pageindex > 1) {
        pageindex = pageindex - 1;
    } else if(pageindex == 1) {
        $("#orderList").empty();
        removeType("orderEmpty", "uhide");
    }
    connectFail("获取订单列表失败");
}

//渲染列表
function showOrderInfo(info) {
    var state = '';
    var stateMsg = '';
    var picurl = getPhotoSrc(info.logoUrl);
    switch(info.orderType) {
        case 0:
            state = "新建订单";
            stateMsg = "查看详情";
            break;
        case 1:
            state = "核保成功";
            stateMsg = "立即支付";
            break;
        case 2:
            state = "支付成功";
            stateMsg = "查看详情";
            break;
        case 3:
            state = "出单成功";
            stateMsg = "查看详情";
            break;
        case 4:
            state = "保单生效";
            stateMsg = "查看详情";
            break;
        case 14:
            state = "核保失败";
            stateMsg = "重新核保";
            break;
        case 15:
            state = "支付失败";
            stateMsg = "立即支付";
            break;
        case 16:
            state = "保单生成异常";
            stateMsg = "查看详情";
            break;
        case 17:
            state = "保单生效前撤销";
            stateMsg = "查看详情";
            break;
    }
    var orderstr = '<li><div class="orderMsg"><div class="orderTitle ub ub-ac"><div class="ub-f1 ub ub-ac"><div></div><p>车牌号：' + info.licenseNo +
    '</p></div>';
    if(currentIndex == 1 && (info.payLinkTTL ? true : false)) {
        orderstr = orderstr + '<span style="color: #ea4040;">剩' + info.payLinkTTL + '支付关闭</span>';
    }else {
        orderstr = orderstr + '<span>' + info.orderTime + '</span>';
    }
    orderstr = orderstr + '</div><div class="orderDetail ub ub-ac ub-pc"><img src="' + picurl +
    '" /><div class="orderOwner ub ub-f1 ub-ver ub-pj"><div class="ub ub-ac"><p class="ub-f1">投保人：' + info.customerName +
    '</p><button type="button">' + state +
    '</button></div><div class="ub ub-ac"><p class="ub-f1"><span>保</span>险：' + info.unitName +
    '</p><p class="ub-f1 last">金额：￥' + info.totalCost +
    '</p></div></div></div><button class="getDetail" type="button" orderId="' + info.insuranceId + '" orderState="' + info.orderType + '" orderCost="' + info.totalCost + '" orderSafeName="' + info.unitName + '" onclick=getOrderDetail(this)>' + stateMsg + '</button></div></li>';
    $("#orderList").append(orderstr);
}

var currentOrderId = ''; //当前的orderId
var currentorderstate = ''; //当前的订单状态
var currentCost = ''; //当前订单的花费
var currentSafeName = ''; //当前保险公司名字
//订单详情
function getOrderDetail(obj) {
    var orderId = obj.getAttribute("orderId");
    if(IsNull(orderId)) {
        thenToast("获取订单编号错误", 0);
        return;
    }
    currentOrderId = orderId;
    currentorderstate = obj.getAttribute("orderState"); //订单状态
    currentCost = obj.getAttribute("orderCost"); //花费
    currentSafeName = obj.getAttribute("orderSafeName"); //保险公司名字
    localStorage.setItem("completeInfoImg", orderId); //完善信息需要订单编号
    orderget.getOrderDetail(orderId, orderDsucc, orderDeFail);
}

//订单详情成功
function orderDsucc(data) {
    showLog("订单详情", data);
    localStorage.setItem("requestpageFrom","root_directory");
    if(IsSuccess(data) == 1) {
        if(IsNull(currentOrderId)) {
            thenToast("数据异常,请重试", 0);
            return;
        }
        data = JSON.parse(data);
        var detailData = {
            "orderId": currentOrderId,
            "orderCost": currentCost,
            "orderSafename": currentSafeName,
            "orderState": currentorderstate,
            "orderDetail": data
        };
        console.log(JSON.stringify(detailData));
        var finalPay = numSub(currentCost, data.bonus);
        localStorage.setItem("safeDetailShowPay", finalPay);
        localStorage.setItem("orderDetailData", JSON.stringify(detailData));
        //打开到保险详情
        appcan.window.open('orderDetail', 'order/orderDetail.html');
    }
}

//订单详情失败
function orderDeFail(data) {
    thenToast("获取订单数据异常,请重试", 0);
}