/**社交对象***/
// 旧版环信接口，目前已删除相关代码
var bizDialogue = Class.extend({
    exComm : "",
    init : function() {
        this.exComm = new ExCommunication("uic");

    },
    
    //获取好友列表(根据拼音)
    getFriendList:function(onSuccess, onError){
        var indata = {
            "action" : "friendpinyin",
            "params" : [{
                
            }],
            "reqData" : {
                "pinyin":"Y"
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取所有好友
    getAllFriendList:function(onSuccess, onError){
        var indata = {
            "action" : "getAllfriendinfo",
            "params" : [{
                
            }],
            "reqData" : {
                
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取好友申请
    getPendApplication:function(onSuccess,onError,pageindex,pagesize){
        var indata = {
            "action" : "pendApplication",
            "params" : [{
                
            }],
            "reqData" : {
                "pageNum":pageindex,//页数
                "row":pagesize//个数
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
     
    //接收好友申请
    acceptApply:function(friendid,id,userid,type,onSuccess, onError){
        var indata = {
            "action" : "replyApplication",
            "params" : [{
                
            }],
            "reqData" : {
                "friendId": friendid,
                "id": id,
                "userId": userid,
                "friendtype":type
            }
        };

        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //添加对方为好友
    addFriend:function(aliasname,friendid,onSuccess,onError){
         var indata = {
            "action" : "addFriend",
            "params" : [{
                
            }],
            "reqData" : {
                "aliasName": aliasname,
                "friendId": friendid,
                "remark": ""
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
     
    //按搜索条件查找好友
    searchuser:function(searchinfo,onSucc,onFail){
        var indata = {
            "action" : "addFriendinfo",
            "params" : [{
               
            }],
            "reqData" : {
                "searchInfo":searchinfo
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //获取聊天记录
    getChatHistory:function(friendid,chatdate,onSuccess, onError){
        var indata = {
            "action" : "chatLog",
            "params" : [{
              
            }],
            "reqData" : {
                "friendId":friendid,
                "chatDate":chatdate
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取聊天记录  分页
    getPageHistory:function(friendid,pageindex,pagesize,onSuccess, onError){
        var indata = {
            "action" : "chatLogPaging",
            "params" : [{
              
            }],
            "reqData" : {
                "friendId":friendid,
                "pageNum":pageindex,
                "row":pagesize
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //发送记录到服务器
    saveChat:function(userId,chatId,msg,onSuccess,onFail){
        var indata = {
            "action" : "saveChat",
            "params" : [{
              
            }],
            "reqData" : {
                "from": userId,
                "to": chatId,
                "msg_type": "chat",
                "msg_txt": msg
            }
        };
        this.exComm.Post(indata, onSuccess, onFail);
    }
});