/**个人中心信息获取对象***/
var bizSelfManage = Class.extend({
    exComm : "",
    init : function() {
        this.exComm = new ExCommunication("uic");
		//console.log(this.exComm );
    },

    //获取总的代理
    getAllAgency:function(onSuccess, onError){
        var indata = {
            "action" : "agent_info_all",
            "params" : [{}],
            "reqData" : {
                 //"step":1
             }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取私人代理
    getPrivateAgency:function(agencyid,onSuccess, onError){
        var indata = {
            "action" : "agent_info_private",
            "params" : [{}],
            "reqData" : {
                "user_id":agencyid
             }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取各级代理列表
    getAgencyList:function(agencytype,onSuccess, onError,pageindex,pagesize){
        if(IsNull(pageindex)){
            pageindex = 1;
        }
        if(IsNull(pagesize)){
            pagesize = 10;
        }
        var indata = {
            "action" : "agent_info_step",
            "params" : [{}],
            "reqData" : {
                "type":agencytype,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //提现
    getToCrash:function(bankname,bankCardNo,paypsw,crashNM,onSuccess, onError){
        var indata = {
            //"action" : "withdrawals",withdrawalsApplication
            //withdrawalsApplication.json
            "action" : "withdrawalsApplication",
            "params" : [{}],
            "reqData" : {
                "bankcard":bankname,
                "bankcodenum":bankCardNo,
                "paypassword":paypsw,
                "cash":crashNM
             }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //意见反馈
    feedBack:function(reason,time,feedcontent,contact,onSuccess, onError){
        var indata = {
            "action" : "addFeedback",
            "params" : [{}],
            "reqData" : {
                "reason":reason,
                "appendTime":time,
                "feedbackinfo":feedcontent,
                "contact":contact
             }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //钱包金额信息
    getPurseInfo:function(onSuccess, onError){
        var indata = {
            "action" : "userpurse",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //获取钱包明细
    getPurseDetail:function(type,onSuccess, onError,pageindex,pagesize){
        var indata = {
            "action" : "purse_info",
            "params" : [{}],
            "reqData" : {
                "sign":type,
                "pagenum":pageindex,
                "pagesize":pagesize
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    }, 
    
    //获取钱包明细（新版）
    getwalletDetail: function(type, onSuccess, onError, pageindex, pagesize) {
        var indata = {
            "action" : "walletDetail",
            "params" : [{}],
            "reqData" : {
                "sign": type,
                "pagenum": pageindex,
                "pagesize": pagesize
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
        
    },
   
    //提现获取验证码
    gettocashVerify:function(onSuccess, onError){
        var indata = {
            "action" : "sendcodeByUserPhone",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    }, 
    
    //获取成交记录
    getDealsInfo:function(type,onSuccess, onError){
        var indata = {
            "action" : "custom_type_info",
            "params" : [{}],
            "reqData" : {
                "type_info":type
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    }, 
    
    //个人积分查询
    getmyPoint:function(onSuccess, onError){
        var indata = {
            "action" : "point_check",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //积分明细
    getPointDetail:function(onSuccess, onError){
        var indata = {
            "action" : "point_info",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //签到
    signMark:function(type,onSuccess, onError){
        var indata = {
            "action" : "getpoint",
            "params" : [{
               "type": type
            }],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取消费累计积分明细
    getConsumePointDetail:function(onSuccess, onError){
        var indata = {
            "action" : "consume_integral",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取积分兑换记录
    getIntegralCostList:function(onSuccess, onError){
        var indata = {
            "action" : "exchange_list",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取积分商品列表
    getIProductList:function(onSuccess, onError){
        var indata = {
            "action" : "integral_product_list",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //提交商品兑换
    exchangeIntegral:function(onSuccess,onError,productId,exchangeCount,shipInfo){
        var indata = {
            "action" : "integral_exchange",
            "params" : [{}],
            "reqData" : {
                "productId": productId,
                "exchangeCount": exchangeCount,
                "shipInfo": shipInfo
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //连续分享邀请信息
    shareIntegralInfo: function(onSuccess, onError){
        var indata = {
            "action" : "share_info",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //连续分享邀请列表
    shareIntegralList: function(onSuccess, onError){
        var indata = {
            "action" : "share_list",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //推荐奖排行榜
    PaiHang:function(onSuccess, onError){
        var indata = {
            "action" : "getCommissionInfo",
            "params" : [{
              
            }],
            "reqData" : {}
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //实名认证
    trueNameset:function(name,sex,birth,address,number,onSuccess, onError){
        var indata = {
            "action" : "verified",
            "params" : [{
              
            }],
            "reqData" : {
                "name":name,
                "sex":sex,
                "birthday":birth,
                "address":address,
                "idnumber":number
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    trueNamesetNew:function(name, sex, birth, address, number, bankcard, imageFaceUrl, imageBackUrl, onSuccess, onError){
        var indata = {
            "action" : "new_verified",
            "params" : [{
              
            }],
            "reqData" : {
                "name": name,
                "sex": sex,
                "birthday": birth,
                "address": address,
                "idnumber": number,
                "bankcode": "",
                "bankcard": bankcard,
                "bankcardimgurl": "",
                "imageFaceUrl": imageFaceUrl,
                "imageBackUrl": imageBackUrl
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    
    
    //获取银行卡列表
    getBankList1:function(onSucess,onError){
        var indata = {
            "action" : "getBankList",
            "params" : [{
              
            }],
            "reqData" : {
            }
        };
        this.exComm.Get(indata, onSucess, onError);        
    },

    //获取银行卡列表
    getBankList:function(onSucess,onError){
        var indata = {
            "action" : "bankCardinfo",
            "params" : [{
              
            }],
            "reqData" : {
            }
        };
        this.exComm.Post(indata, onSucess, onError);        
    },
    
    //绑定银行卡
    addBankCard:function(cardMsg,onSucess,onError){
        var indata = {
            "action" : "addBankCard",
            "params" : [{
              
            }],
            "reqData" : {
                "bankcode":cardMsg.bankcode,
                "bankcard":cardMsg.bankcard,
                "bankcardimgurl":cardMsg.bankcardimgurl,
                "username":cardMsg.username
            }
        };
        this.exComm.Post(indata, onSucess, onError);        
    },
    
    //解除绑定银行卡
    delBankItem:function(untieCardNo,onSucess,onError){
        ///api/uic/deleteBankCard
        var indata = {
            "action" : "deleteBankCard",
            "params" : [{
              
            }],
            "reqData" : {
                "bankcode": "",
                "bankcard": untieCardNo
            }        
        };
        this.exComm.Post(indata, onSucess, onError);  
    },
    
    //查看二维码
    getQRcode:function(onSucess,onError){
         var indata = {
            "action" : "getMyQRCode",
            "params" : [{
              
            }],
            "reqData" : {
               
            }        
        };
        this.exComm.Post(indata, onSucess, onError);  
    },
    
    // 获取提现手续费率
    getDrawCharge:function(onSuccess, onError){
        var indata = {
            "action" : "charge",
            "params" : [{}],
            "reqData" : {}
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 上传通讯录
    postContacts:function(addBookList,onSuccess, onError){
        var indata = {
            "action" : "contacts",
            "params" : [{}],
            "reqData" : {
                "contactsList":addBookList
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 获取客户列表
    getCusList:function(type, onSuccess, onError){
        var indata = {
            "action" : "custom_type_info",
            "params" : [{}],
            "reqData" : {
                "type_info": type
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 获取客户列表（根据报价时间）
    getCusListTime:function(type, time, onSuccess, onError){
        var indata = {
            "action" : "custom_type_info",
            "params" : [{}],
            "reqData" : {
                "type_info": type,
                "querytime": time
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 获取客户详情
    getCusDetail:function(id, onSuccess, onError){
        var indata = {
            "action" : "info_private",
            "params" : [{}],
            "reqData" : {
                "id": id
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 搜索客户列表
    searchCusList:function(param, onSuccess, onError){
        var indata = {
            "action" : "if_custom",
            "params" : [{}],
            "reqData" : param
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 新增客户
    addCusTome:function(customerName, mobile, docCode, onSuccess, onError){
        var indata = {
            "action" : "custom_addinfo",
            "params" : [{}],
            "reqData" : {
                "customerName": customerName,
                "mobile": mobile,
                "docCode": docCode
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    // 删除客户
    removeCusTome:function(cuserId, onSuccess, onError){
        var indata = {
            "action" : "custom_remove",
            "params" : [{}],
            "reqData" : {
                "id": cuserId
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
});