appcan.ready(function() {
    var objdata = document.getElementById('scroller');
    var curr_date = new Date();
    var cur_day = '' + curr_date.getDate();
    if(cur_day < 10)
    cur_day = '0' + cur_day;
    // alert(cur_day);
    var cur_month = curr_date.getMonth() + 1;
    if(cur_month < 10)
    cur_month = '0' + cur_month;
    // alert(cur_month);
    var cur_year = '' + curr_date.getFullYear();
    //  alert(cur_year);
    $("#USER_AGE")[0].value = new Date(cur_year, cur_month, cur_day); //cur_year + '-'+cur_month+'-'+cur_day;
    var currYear = (new Date()).getFullYear();
    var opt = {};
    opt.date = {
        defaultValue: new Date(cur_year, cur_month, cur_day),
        preset: 'date',
        onSelect: function(valueText, inst) {
            returnData(valueText);
        },
        onCancel: function(valueText, inst) {
            closeSelf();
        }
    };
    opt.datetime = {
        preset: 'datetime'
    };
    opt.time = {
        preset: 'time'
    };
    var beginyear;
    if(IsNull(localStorage.getItem("beginYear"))) {
        beginyear = currYear;
    } else {
        beginyear = parseInt(localStorage.getItem("beginYear"));
        localStorage.removeItem("beginyear");
    };
    opt.default = {
        theme: 'android-ics light', //皮肤样式
        display: 'modal', //显示方式 
        mode: 'scroller', //日期选择模式
        dateFormat: 'yyyy-mm-dd',
        dateOrder: 'yyyymmdd', //面板中日期排列格式
        lang: 'zh',
        showNow: true,
        nowText: "今天",
        startYear: beginyear, //currYear - 1, //开始年份
        endYear: currYear + 1, //currYear + 1, //结束年份
        /*max: new Date(2017,8,23)*/
    };
    //$("#USER_AGE").mobiscroll(opt);
    console.log($.extend(opt['date'], opt['default']));
    $("#USER_AGE").mobiscroll($.extend(opt['date'], opt['default']));
    var defaultDate = localStorage.getItem("defaultDate");
    if(null != defaultDate && "" != defaultDate && undefined != defaultDate) {
        var y = defaultDate.split("-")[0];
        var m = parseInt(defaultDate.split("-")[1]) - 1;
        var d = parseInt(defaultDate.split("-")[2]);
        var requestDate = new Date(y, m, d);
        $("#USER_AGE").scroller('setDate', requestDate, true);
        localStorage.removeItem("defaultDate");
    }
    $('#USER_AGE').mobiscroll('show');
});

function returnData(value) {
    //appcan.window.publish("setCommitDate",value);
    var dataFrom = localStorage.getItem("timeFrome");
    if(IsNull(dataFrom)) {
        thenToast("传值错误,请重试", 0);
        return;
    }
    dataFrom = JSON.parse(dataFrom);
    var type = dataFrom.type;
    var placeId = dataFrom.inputId;
    if(type == 1) { //是子页面调用
        appcan.window.evaluatePopoverScript(dataFrom.fromePage, "content", "show('" + placeId + "','" + value + "')");
    } else if(type == 0) { //是父页面调用
        appcan.window.evaluateScript(dataFrom.fromePage, "show('" + placeId + "','" + value + "')", 0);
    }
    closeSelf();
}

function closeSelf() {
    //appcan.window.close(-1);
    uexWindow.closePopover("DatePicker")
    return;
};