var pricer = new bizCar();
var currentCarInfo; // 车主、车辆信息及险种信息
appcan.ready(function() {
	localStorage.removeItem("WrongQuotation"); //删除报价失败相关信息
	currentCarInfo = localStorage.getItem("currentCarinfo");
    if(IsNull(currentCarInfo)) {
        thenToast("获取保险数据错误,请重试", 0);
        return;
        currentCarInfo = {};
    } else {
        currentCarInfo = JSON.parse(currentCarInfo);
    }
	getSafes();
});

var postNum = 1; //集体报价次数
var noResNum = 0; //未收到响应保险公司个数
var noRepNum = 0; //报价失败保险公司个数
var safeChoosedList; //已经选择的保险公司
// 初始化渲染报价列表
function getSafes() {
    if(postNum == 1) {
        safeChoosedList = currentCarInfo.insUnitList;
        if(IsNull(safeChoosedList) || safeChoosedList.length == 0) {
            thenToast("没有需要报价的保险公司", 0);
            return;
        }
        postNum++;
    } else {
        currentCarInfo = localStorage.getItem("currentCarinfo");
        if(IsNull(currentCarInfo)) {
            thenToast("获取保险数据错误,请重试", 0);
            return;
            currentCarInfo = {};
        } else {
            currentCarInfo = JSON.parse(currentCarInfo);
        }
        safeChoosedList = currentCarInfo.insUnitList;
        noResNum = 0;
        noRepNum = 0;
        $("#noResponse")[0].innerText = "报价异常（0家）";
        addType("noResDiv", "uhide");
        $("#unreportNO")[0].innerText = "报价失败（0家）";
        addType("noInsDiv", "uhide");
        addType("requote", "uhide");
        localStorage.removeItem("WrongQuotation");
    }
    $("#insuancePriceList").empty();
    for(var i = 0; i < safeChoosedList.length; i++) {
        var empstr = '<li class="ub ub-ac ub-pj" id="' + safeChoosedList[i].insuranceCorpCode + '" safeName="' + safeChoosedList[i].insuranceCorpName + '" logoURL="' + safeChoosedList[i].insuranceCorpPhotUrl + '" onclick="buy(this)">' +
        '<div class="ub ub-ac ub-f1"><img class="logo" src="' + getPhotoSrc(safeChoosedList[i].insuranceCorpPhotUrl) + '" />' +
        '<p class="name">' + safeChoosedList[i].insuranceCorpName + '</p></div>' +
        '<div id="scroll_' + safeChoosedList[i].insuranceCorpCode + '" class="onquote ub ub-ac"><img src="../img/rotate.gif" /><p>正在报价</p></div>' +
        '<div id="price_' + safeChoosedList[i].insuranceCorpCode + '" class="priceSignin ub ub-ac ub-pe ub-f1 uhide"><div class="ub ub-ver ub-ae ub-pj">' +
        '<p id="cost_' + safeChoosedList[i].insuranceCorpCode + '"></p>'+
        '<p id="signin_' + safeChoosedList[i].insuranceCorpCode + '" class="integral-p" onclick="showExRate(this)"></p>' +
        '<div class="showTap"><p></p><span id="exRate_'+ safeChoosedList[i].insuranceCorpCode + '"></span></div></div>'+
        '<i class="fa fa-angle-right"></i></div></li>';
        $("#insuancePriceList").append(empstr);
    };
    summaryComplete();
}

var nowpriceNum = 0;
function summaryComplete() {//避免ajax异步请求  for循环中无法全部执行
    if(nowpriceNum>=safeChoosedList.length) {
        nowpriceNum = 0;//复原变量  用于重新报价
        return;
    }
    console.log("请求次数和公司：" + nowpriceNum + " " + safeChoosedList[nowpriceNum].insuranceCorpName);
    var safeObj = currentCarInfo;
    safeObj.insUnitList = [safeChoosedList[nowpriceNum]];
    nowpriceNum++;
    var bizSafer = new bizCar();
    bizSafer.getInsuranceSummary(safeObj, summarySuc, summaryFail, summaryComplete); //发送报价请求
}

var callstate = false;
//获取报价成功
function summarySuc(data) {
    var teData = JSON.parse(data);
    if(teData.result == -1 || teData.result == "-1") {
        if(!callstate) {
            opentoLogin();
            callstate = true;
        }
        return;
    } else if (teData.result == 1999 || teData.result == "1999") { //报价成功
        showSafeData(data);
    } else if (teData.result == -3 || teData.result == "-3") { //报价失败
        showErrData(data);
    }
    //removeType("requote", "uhide");
}

//获取报价失败
function summaryFail(data) {
    removeType("noResDiv", "uhide");
    noResNum = noResNum + 1;
    $("#noResponse")[0].innerText = "报价异常（" + noResNum + "家）";
}

var errors = [];
//显示报价成功数据
function showSafeData(data) {
    var data = JSON.parse(data);
    if(IsNull(data.data) || data.data.length == 0) {
        removeType("noResDiv", "uhide");
        noResNum = noResNum + 1;
        $("#noResponse")[0].innerText = "报价异常（" + noResNum + "家）";
    } else {
        for(var i = 0; i < data.data.length; i++) {
            var signin = "#signin_" + data.data[i].insuranceCorpCode; //积分
            var cost = "#cost_" + data.data[i].insuranceCorpCode; //价格
            var scrollWaiting = "#scroll_" + data.data[i].insuranceCorpCode; //当前等待报价旋转节点
            var priceMsg = "#price_" + data.data[i].insuranceCorpCode; //当前价格显示节点
            var liMsg = "#" + data.data[i].insuranceCorpCode; //当前保险公司节点
            var exRate = "#exRate_" + data.data[i].insuranceCorpCode;
            $(liMsg)[0].setAttribute("offerCode",data.data[i].offerCode); //报价单号
            $(liMsg)[0].setAttribute("sprice",data.data[i].bonus); //设置优惠金额
            $(liMsg)[0].setAttribute("cprice",data.data[i].totalprice); //设置付款金额
            $(liMsg)[0].setAttribute("signin",data.data[i].integral); //设置积分
            addType("scroll_" + data.data[i].insuranceCorpCode, "uhide");
            removeType("price_" + data.data[i].insuranceCorpCode, "uhide");
            $(signin)[0].innerHTML = "可获积分：" + data.data[i].integral;
            $(cost)[0].innerHTML = "保单价格：￥" + data.data[i].totalprice;
            $(exRate)[0].innerHTML = "可在“积分商城”兑换" + parseFloat(data.data[i].integral / 100).toFixed(2) + '零钱';
        };
    }
}

//显示报价失败数据
function showErrData(data) {
    console.log("报价失败："+data);
    var data = JSON.parse(data);
    if(IsNull(data.errorMsg) || data.errorMsg.length == 0) {
        removeType("noResDiv", "uhide");
        noResNum = noResNum + 1;
        $("#noResponse")[0].innerText = "报价异常（" + noResNum + "家）";
    } else {
        var err = localStorage.getItem("WrongQuotation");
        if(IsNull(err)){
            err = [];
        }else{
            err = JSON.parse(err);
        };
        var liErr = "#" + data.errorMsg[0].unitCode;
        $(liErr)[0].remove();
        err.push(data.errorMsg[0]);
        localStorage.setItem("WrongQuotation",JSON.stringify(err));
        removeType("noInsDiv", "uhide");
        noRepNum = noRepNum + 1;
        $("#unreportNO")[0].innerText = "报价失败（" + noRepNum + "家）";
    }
}

//点击未报价列表
function expantNoIns(obj) {
    appcan.window.open("safeDetail", "wrongQuotation.html", 10);
}

var totalPrice;
var curSafeName;
var curSaveprice;
var curSignin;
//点击保险公司进入报价详情页
function buy(obj) {
	var offerCode = obj.getAttribute("offerCode");
	totalPrice = obj.getAttribute("cprice");
	curSafeName = obj.getAttribute("safeName");
    curSaveprice = obj.getAttribute("sprice");
    curSignin = obj.getAttribute("signin");
	if(IsNull(totalPrice)) {
        return;
    }
	if(IsNull(offerCode)) {
		thenToast("获取数据错误,请重试", 0);
		return;
	}
	var currentSafeOrder = localStorage.getItem("currentSafePlanOrder");
    if(IsNull(currentSafeOrder)) {
        thenToast("数据错误,请重试", 0);
        return;
    }
    currentSafeOrder = JSON.parse(currentSafeOrder);
    currentSafeOrder.offercode = offerCode;
    currentSafeOrder.totalPrice = totalPrice;
    currentSafeOrder.saveprice = curSaveprice;
    currentSafeOrder.insurancename = curSafeName;
    currentSafeOrder.signin = curSignin;
    currentSafeOrder.logoURL = obj.getAttribute("logoURL");
    console.log(currentSafeOrder);
    localStorage.setItem("currentSafePlanOrder", JSON.stringify(currentSafeOrder));
    pricer.getInsuranceDetail(offerCode, detailSucc, detailFail);
}

//报价详情成功
function detailSucc(data) {
	showLog("详情成功", data);
	if(IsSuccess(data) == 1) {
		var detailData = {
			"safeDetail": data,
			"price": totalPrice,
			"safeName": curSafeName,
			"bonusPrice": curSaveprice,
			"signin": curSignin
		};
		localStorage.setItem("safeDetail", JSON.stringify(detailData));
		var finalPay = numSub(totalPrice, curSaveprice);
		localStorage.setItem("safeDetailShowPay", finalPay);
		appcan.window.open("safeDetail", "safeDetail.html", 10);
	}
}

//报价详情失败
function detailFail(data) {
	connectFail("获取报价详情失败");
}

function showExRate(that) {
    var event = window.event;
    event.stopPropagation();
    if($(that).siblings(".showTap").is(":hidden")) {
        $(that).siblings(".showTap").show();
    } else {
        $(that).siblings(".showTap").hide();
    }
}