var forceFlag = true; //默认选择交强险
var syswitchFlag = true; //默认选择商业险
var safeDeter = new bizCar();
var safePlanList = new Array(); //需要投保的保险列表
var secondaryArr = new Array(); //不计免赔保险列表

// var arr = '{"result":"1999","msg":"获取险种列表成功","data":[{"amountRange":"Y","code":"MR","flag":null,"insuredAmount":null,"name":"不计免赔险(精神损害抚慰金责任险)"},{"amountRange":"Y","code":"A","flag":"1","insuredAmount":"Y","name":"车辆损失险"},{"amountRange":"50000,100000,150000,200000,300000,500000,1000000,1500000,2000000,3000000,5000000","code":"B","flag":"1","insuredAmount":"1000000","name":"第三方责任险"},{"amountRange":"Y","code":"G1","flag":"1","insuredAmount":"Y","name":"全车盗抢险"},{"amountRange":"10000,20000,30000,50000,100000","code":"D3","flag":"1","insuredAmount":"30000","name":"司机座位险"},{"amountRange":"10000,20000,30000,50000,100000","code":"D4","flag":"1","insuredAmount":"30000","name":"乘客座位险"},{"amountRange":"Y","code":"Q3","flag":null,"insuredAmount":null,"name":"指定修理厂险"},{"amountRange":"Y","code":"Z","flag":"1","insuredAmount":"Y","name":"自燃损失险"},{"amountRange":"1,2","code":"F","flag":null,"insuredAmount":null,"name":"玻璃单独破碎险"},{"amountRange":"2000,5000,10000,20000","code":"L","flag":null,"insuredAmount":null,"name":"车身划痕损失险"},{"amountRange":"Y","code":"X1","flag":null,"insuredAmount":null,"name":"发动机涉水损失险"},{"amountRange":"Y","code":"R","flag":null,"insuredAmount":null,"name":"精神损害抚慰金责任险"},{"amountRange":"Y","code":"Z3","flag":null,"insuredAmount":null,"name":"车损险无法找到第三方特约险"},{"amountRange":"Y","code":"MG1","flag":"1","insuredAmount":"Y","name":"不计免赔（盗抢险）"},{"amountRange":"Y","code":"MA","flag":"1","insuredAmount":"Y","name":"不计免赔(车损险)"},{"amountRange":"Y","code":"MB","flag":"1","insuredAmount":"Y","name":"不计免赔(三者险)"},{"amountRange":"Y","code":"MD3","flag":null,"insuredAmount":null,"name":"不计免赔(司机座位险)"},{"amountRange":"Y","code":"MD4","flag":null,"insuredAmount":null,"name":"不计免赔(乘客座位险)"},{"amountRange":"Y","code":"MZ","flag":"1","insuredAmount":"Y","name":"不计免赔险(自燃损失险)"}],"forceFlag":"true"}';
// safeDetSuccess(arr);

appcan.ready(function() {
    initSafePlan();
});

//获取投保方案及默认投保城市
function initSafePlan() {
    var currentInfo = localStorage.getItem("currentCarinfo");
    showLog("当前用户信息", currentInfo);
    if(IsNull(currentInfo)) {
        thenToast("获取当前车辆信息错误,请重试", 0);
        return;
    }
    currentInfo = JSON.parse(currentInfo);
    safeDeter.getDefaultCity(currentInfo.licenseNo, defaultCitySucc, defaultCityFail); //获取默认城市
    safeDeter.getSafePlans(currentInfo.licenseNo, safeDetSuccess, safeDetailFail); //获取投保方案
}

//默认城市成功
function defaultCitySucc(data) {
    showLog("默认城市", data);
    var defData = JSON.parse(data).carplate;
    var provId = defData.ProvinceID;//省id
    var cityName = defData.CityName;//市名
    var curcityId = defData.CityID;//市id
    var districName = defData.DistrictName;//区名
    var curdistricId = defData.DistrictID;//区id
    $("#plancity")[0].setAttribute("provId", provId);
    $("#plancity")[0].setAttribute("placeId", curcityId);
    $("#plancity")[0].setAttribute("thirdId", curdistricId);
    $("#plancity")[0].value = defData.ProvinceName + "-" + cityName + "-" + districName;
    //查询起保日期
    var currentInfo = JSON.parse(localStorage.getItem("currentCarinfo"));
    var cityId = $("#plancity")[0].getAttribute("placeId"); //城市id
    //初始化时间，查询车辆保险起期
    var engineNo = currentInfo.engineNo;
    var isLoanCar = currentInfo.isLoanCar;
    var isTrans = currentInfo.isTrans;
    var licenseNo = currentInfo.licenseNo;
    var modelCode = currentInfo.modelCode;
    var ownerIdNo = currentInfo.ownerIdNo;
    var ownerMobile = currentInfo.ownerMobile;
    var ownerName = currentInfo.ownerName;
    var seat = currentInfo.seat;
    var transDate = currentInfo.transDate;
    safeDeter.getSafeBegin(cityId, engineNo, isLoanCar, isTrans, licenseNo, modelCode, ownerIdNo, ownerMobile, ownerName, seat, transDate, safeDateSuc, safeDateFail);
}

//默认城市失败
function defaultCityFail() {
    connectFail("获取默认城市失败");
}

//保险起期查询成功
function safeDateSuc(data) {
    showLog("保险起期查询成功", data);
    if(IsSuccess(data) != 1) {
        addType("deng1", "uhide");
        addType("deng2", "uhide");
        removeType("jqplanday", "uhide");
        removeType("syplanday", "uhide");
        $("#jqplanday")[0].value = ""; //交强险时间
        $("#syplanday")[0].value = ""; //商业险时间
        return;
    };
    addType("deng1", "uhide");
    addType("deng2", "uhide");
    removeType("jqplanday", "uhide");
    removeType("syplanday", "uhide");
    var dataobj = JSON.parse(data);
    $("#jqplanday")[0].value = dataobj.ciLastEffectiveDate; //交强险时间
    $("#syplanday")[0].value = dataobj.biLastEffectiveDate; //商业险时间
}

//保险起期查询失败
function safeDateFail(data) {
    addType("deng1", "uhide");
    addType("deng2", "uhide");
    removeType("jqplanday", "uhide");
    removeType("syplanday", "uhide");
    $("#jqplanday")[0].value = ""; //交强险时间
    $("#syplanday")[0].value = ""; //商业险时间
    connectFail("获取保险起期失败");
}

//获取方案成功
function safeDetSuccess(data) {
    showLog("险种列表成功", data);
    if(IsSuccess(data) == 1) {
        var dataobj = JSON.parse(data);
        $("#safeplanList").empty();
        bjArray = new Array();
        console.log(JSON.stringify(dataobj));
        sortArr(dataobj.data, "code");
        var primaryArr = dataobj.data;
        for (var i=0; i < primaryArr.length; i++) { //对各类主险的初始化处理、排序处理
            var safestr = '';
            var Range = ''; //选择项列表
            if(primaryArr[i].code == "F") { //玻璃单独破碎险（特殊处理）
                Range = "国产,进口";
            } else {
                Range = primaryArr[i].amountRange;
            }
            var indexofT = primaryArr[i].name.indexOf('不计免赔');
            if(indexofT >= 0) { //将不计免赔险单独提出成一个数组
                secondaryArr.push(primaryArr[i]);
            } else { //处理主险的排序
                safestr = '<li class="insureLi ub ub-ac">' +
                '<div class="leftTitle ub-f1">' + primaryArr[i].name + '</div>' +
                '<div class="rightValue ub ub-ac ub-input" id="mainAer_' + primaryArr[i].code + '" safeCode="' + primaryArr[i].code + '" safeRange="' + Range + '" safename="' + primaryArr[i].name + '" onclick="showSafeChoose(this);">' +
                '<input type="text" value="" class="tx-r ub-f1" id="planInput_' + primaryArr[i].code + '" disabled="disabled" />' +
                '<i class="fa fa-angle-right"></i></div></li>';
                if(primaryArr[i].code == "G1") {
                    $(safestr).insertAfter($("#mainAer_D4").parent());
                } else if(primaryArr[i].code == "Z" || primaryArr[i].code == "L" || primaryArr[i].code == "X1") {
                    $(safestr).insertAfter($("#mainAer_G1").parent());
                } else if(primaryArr[i].code == "R") {
                    $(safestr).insertBefore($("#mainAer_F").parent());
                } else {
                    $("#safeplanList").append(safestr);
                }
                if(dataobj.forceFlag != "true") { //用户没有选择过投保项，对主险的默认处理
                    if(primaryArr[i].code == "A" || primaryArr[i].code == "G1") {
                        $("#planInput_" + primaryArr[i].code)[0].value = "投保";
                        autoTb(primaryArr[i].code, primaryArr[i].name);
                    } else if (primaryArr[i].code == "B") {
                        $("#planInput_" + primaryArr[i].code)[0].value = "100万";
                        addtoSafeplanList(primaryArr[i].code, primaryArr[i].name, 1000000);
                    } else if (primaryArr[i].code == "D3" || primaryArr[i].code == "D4") {
                        $("#planInput_" + primaryArr[i].code)[0].value = "3万";
                        addtoSafeplanList(primaryArr[i].code, primaryArr[i].name, 30000);
                    } else {
                        $("#planInput_" + primaryArr[i].code)[0].value = "不投保";
                    }
                } else if(dataobj.forceFlag == "true") { //用户选择过投保项，对主险的默认处理
                    if(primaryArr[i].flag == "1") {
                        if(primaryArr[i].code == "B" || primaryArr[i].code == "D3" || primaryArr[i].code == "D4" || primaryArr[i].code == "L") {
                            $("#planInput_" + primaryArr[i].code)[0].value = primaryArr[i].insuredAmount;
                            addtoSafeplanList(primaryArr[i].code, primaryArr[i].name, primaryArr[i].insuredAmount);
                        } else if(primaryArr[i].code == "F") {
                            var glassType = (primaryArr[i].insuredAmount == "1") ? "国产" : "进口";
                            addtoSafeplanList(primaryArr[i].code, primaryArr[i].name, glassType);
                        } else {
                            $("#planInput_" + primaryArr[i].code)[0].value = "投保";
                            autoTb(primaryArr[i].code, primaryArr[i].name);
                        }
                    } else {
                        $("#planInput_" + primaryArr[i].code)[0].value = "不投保";
                    }
                    
                }
            }
        };
        console.log(secondaryArr);
        for (var i=0; i < secondaryArr.length; i++) { //对各类不计免赔险的初始化处理
            var Range = secondaryArr[i].amountRange;
            var safestr = '<div class="ub-f1 ub ub-pc ub-ac middleValue" isin="no" id="bj_' + secondaryArr[i].code + '"  safeCode="' + secondaryArr[i].code + '" safeRange ="' + Range + '"  safename = "' + secondaryArr[i].name + '"  onclick ="IconClick(this)">不计免赔<img src="../img/not.png"></div>';
            $(safestr).insertBefore($("#mainAer_" + secondaryArr[i].code.replace("M","")));
            if(dataobj.forceFlag != "true") { //用户没有选择过投保项，对不计免赔险的默认处理
                if(secondaryArr[i].code == 'MA' || secondaryArr[i].code == 'MB' || secondaryArr[i].code == 'MD3' || secondaryArr[i].code == 'MD4' || secondaryArr[i].code == 'MG1') {
                    autoTb(secondaryArr[i].code, secondaryArr[i].name);
                }
            } else if(dataobj.forceFlag == "true") { //用户选择过投保项，对不计免赔险的默认处理
                if(secondaryArr[i].flag == "1") {
                    autoTb(secondaryArr[i].code, secondaryArr[i].name);
                }
            }
        };
        console.log(safePlanList);
    }
}

//获取方案失败
function safeDetailFail(data) {
    showLog("险种列表失败", data);
    connectFail("获取保险种类列表失败");
}

//初始化选择投保项，传入参数标识code、名称name
function autoTb(code, safeName) {
    if(!listContains(safePlanList, code)) {//将投保项加入数组
        var safeobj = {
            "coverageCode": code,
            "coverageName": safeName,
            "insuredAmount": "Y",
            "flag": ''
        };
        safePlanList.push(safeobj);
    }
    if(code.indexOf('M')>=0) { //将对应的不计免赔险种图标设为选中
        bjIconConnect(code, 1);
    }
}

//主险处理：打开下拉选择列表
function showSafeChoose(obj) {
    var code = obj.getAttribute("safeCode"); //险种标识
    var range = obj.getAttribute("safeRange"); //选项列表
    var safename = obj.getAttribute("safename"); //险种名字
    var inputId = obj.firstChild.id; //获取input选择框的id
    var data1 = [{ //初始赋值，每个险种都有不投保选项
        text: '不投保',
        value: 0
    }];
    if(range == "Y") { //处理只有投保和不投保的投保项下拉列表
        data1 = [{
            text: '投保',
            value: 1
        }, {
            text: '不投保',
            value: 2
        }];
    } else { //处理有数字的投保项下拉列表
        var meg = range.split(',');
        creatList(meg, data1);
    }
    var picker = new Picker({
        data: [data1],
        selectedIndex: [0],
        title: '选择方案'
    });
    picker.on('picker.select', function(selectedVal, selectedIndex) { //点击确认的回调函数
        if(range == "Y") { //投保和不投保选项处理
            if(selectedIndex[0] == 0) {
                tb(code, safename);
            } else {
                ntb(code);
            }
        } else { //数字选项处理
            if(selectedIndex[0] != 0) {
                show(inputId, data1[selectedIndex].text);
                addtoSafeplanList(code, safename, unitConvertNum(data1[selectedIndex].text));
            } else {
                show(inputId, '不投保');
                addtoSafeplanList(code, safename, '0');
            }
        }
    })
    picker.show(); //滚动的回调函数
}

// 投保项为数字时加载各数字选项进入选项列表
function creatList(obj, list) {
    obj.forEach(function(item, index, arr) {
        var temp = new Object();
        temp.text = unitConvert(item);
        temp.value = index + 1;
        list.push(temp);
    })
}

//不计免赔项处理：点击按钮
function IconClick(obj) {
    var scode = obj.getAttribute("safeCode");
    var safename = obj.getAttribute("safename");
    var isin = obj.getAttribute("isin");
    if(isin == "yes") {
        connectBJMPlan(scode.replace("M",""), 2); //移除
    } else {
        if(!listContains(safePlanList, scode.replace("M",""))) {
            thenToast("请先选择当前的基础险", 0);
            return;
        } else {
            connectBJMPlan(scode.replace("M",""), 1); //插入
            tb(scode, safename);
        }
    }
}

//主险添加投保项
function addtoSafeplanList(coverageCode, coverageName, insuredAmount) {
    if(listContains(safePlanList, coverageCode)) { //删除原有主险对应的选项
        for(var i = 0; i < safePlanList.length; i++) {
            if(safePlanList[i].coverageCode == coverageCode) {
                safePlanList.splice(i, 1);
            }
        };
        if(insuredAmount == 0) {//如果主投保项不投保，取消不计免赔项
            connectBJMPlan(coverageCode, 2);
        }
    }
    if(insuredAmount != 0) { //添加新增或改变的主险
        var flag = '';
        if(insuredAmount == "国产") {
            flag = "1";
            insuredAmount = 'Y';
        } else if(insuredAmount == "进口") {
            flag = "2";
            insuredAmount = 'Y';
        }
        var safeobj = {
            "coverageCode": coverageCode,
            "coverageName": coverageName,
            "insuredAmount": insuredAmount,
            "flag": flag
        };
        safePlanList.push(safeobj);
    }
}

//投保项只有投保和不投保：选择投保
function tb(code, safename) {
    if(IsNull(code)) {
        thenToast("获取数据错误,请重试", 0);
        return;
    }
    if(!listContains(safePlanList, code)) { //如果投保选数组里没有该投保项则添加投保
        var safeobj = {
            "coverageCode": code,
            "coverageName": safename,
            "insuredAmount": "Y",
            "flag": ''
        };
        safePlanList.push(safeobj);
    }
    if(code.indexOf('M')<0) {
        $("#planInput_" + code)[0].value = "投保";
        addType("dropdown_" + code, "uhide");
    }
    console.log("保险列表==>" , safePlanList);
}

//投保项只有投保和不投保：选择不投保
function ntb(obj) {
    if(IsNull(obj)) {
        thenToast("获取数据错误,请重试", 0);
        return;
    }
    if(listContains(safePlanList, obj)) { //如果投保数组里有该投保项则删除该项投保
        for(var i = 0; i < safePlanList.length; i++) {
            if(safePlanList[i].coverageCode == obj) {
                safePlanList.splice(i, 1);
            }
        };
        connectBJMPlan(obj, 2); //同时删除该主险对应的不计免赔项
    }
    $("#planInput_" + obj)[0].value = "不投保";
    addType("dropdown_" + obj, "uhide");
    console.log("保险列表==>", safePlanList);
}


/* 
 * 投保数组中是否包含某个险种（根据code判断）
 * 传入参数：投保数组safePlanList、参数标识code
 * 数组有该code返回true，无则返回false，数组长度为0默认没有返回false
 */
function listContains(list, content) {
    if(list.length > 0) {
        for(var i = 0; i < list.length; i++) {
            if(list[i].coverageCode == content) {
                return true;
            }
        };
        return false;
    } else {
        return false;
    }
}

/* 
 * 处理不计免赔项
 * 传入参数：参数标识code、执行操作type
 * type传入1为添加不计免赔项，传入2为删除不计免赔项
 */
function connectBJMPlan(scode, type) { //险种代码、投保类型 1.投保 2.不投保
    switch(scode) { //以主险标识来做判断
        case 'A': //机动车损失险
            dealCode("MA", type);
            break;
        case 'B': //第三责任险
            dealCode("MB", type);
            break;
        case 'D3': //司机座位险
            dealCode("MD3", type);
            break;
        case 'D4': //乘客座位险
            dealCode("MD4", type);
            break;
        case 'G1': //盗抢险
            dealCode("MG1", type);
            break;
        case 'L': //划痕险
            dealCode("ML", type);
            break;
        case 'R': //精神损害抚慰金责任险
            dealCode("MR", type);
            break;
        case 'Z': //自然损失险
            dealCode("MZ", type);
            break;
        case 'X1': //发动机涉水损失险
            dealCode("MX1", type);
            break;
    }
}

//执行connectBJMPlan函数操作，增加或删除不计免赔项
function dealCode(bjcode, type) {
    var bjobj = getBjObj(bjcode);
    if(IsNull(bjobj)) {
        return;
    }
    if(type == 1) { //添加不计免赔项
        if(!listContains(safePlanList, bjobj.code)) {
            var safeobj = {
                "coverageCode": bjobj.code,
                "coverageName": bjobj.name,
                "insuredAmount": "Y",
                "flag": ''
            };
            safePlanList.push(safeobj);
            bjIconConnect(bjobj.code, 1); //更改不计免赔为勾选图片
        }
    } else if(type == 2) { //删除不计免赔项
        if(listContains(safePlanList, bjobj.code)) {
            for(var i = 0; i < safePlanList.length; i++) {
                if(safePlanList[i].coverageCode == bjobj.code) {
                    safePlanList.splice(i, 1);
                    bjIconConnect(bjobj.code, 2); //更改不计免赔为取消图片
                }
            };
        }
    }
    console.log("保险列表==>" , safePlanList);
}

//获取不计免赔数组里对应的投保项对象
function getBjObj(code) {
    if(IsNull(secondaryArr) || secondaryArr.length == 0) {
        return null;
    }
    for(var i = 0; i < secondaryArr.length; i++) {
        if(code == secondaryArr[i].code) {
            return secondaryArr[i];
        }
    }
    return null;
}

/*
 * 更改不计免赔项图片
 * type为1时勾选，type为2时取消
 */
function bjIconConnect(safecode, type) {
    var connectCode = '';
    switch(safecode) {
        case 'MA': //机动车损失险
            connectCode = 'MA';
            break;
        case 'MB': //第三责任险
            connectCode = 'MB';
            break;
        case 'MD3': //司机座位险
            connectCode = 'MD3';
            break;
        case 'MD4': //乘客座位险
            connectCode = 'MD4';
            break;
        case 'MG1': //盗抢险
            connectCode = 'MG1';
            break;
        case 'ML': //划痕险
            connectCode = 'ML';
            break;
        case 'MR': //精神损害抚慰金责任险
            connectCode = 'MR';
            break;
        case 'MZ': //自然损失险
            connectCode = 'MZ';
            break;
        case 'MX1': //发动机涉水损失险
            connectCode = 'X1';
            break;
    }
    if(!IsNull(connectCode)) {
        if(type == 1) {
            $("#bj_" + connectCode + " img").attr("src", "../img/opt.png");
            $("#bj_" + connectCode).attr("isin", "yes");
        } else {
            $("#bj_" + connectCode + " img").attr("src", "../img/not.png");
            $("#bj_" + connectCode).attr("isin", "no");
        }
    }
}

//选择城市
function chooseCity() {
    var citySlect = {
        "placeId": "planqx",
        "urlName": "safeplan",
        "type": 1,
        "fatherPlaceId": "plancity"
    };
    localStorage.setItem("citySlect", JSON.stringify(citySlect));
    appcan.window.open("selectProvince", "../address/selectProvince.html", 10);
}

//交强险、商业险开关按钮
appcan.switchBtn(".switch", function(obj, value) {
    switch($(obj)[0].id) {
        case "jqswitch": //交强险
            var flag = $(obj)[0].getAttribute("openflag");
            if(null == flag || "opened" == flag) {
                $(obj)[0].setAttribute("openflag", "closed");
                addType("jqshow", "uhide");
                forceFlag = false;
            } else {
                $(obj)[0].setAttribute("openflag", "opened");
                removeType("jqshow", "uhide");
                forceFlag = true;
            }
            break;
        case "syswitch": //商业险
            var flag = $(obj)[0].getAttribute("openflag");
            if(null == flag || "opened" == flag) {
                $(obj)[0].setAttribute("openflag", "closed");
                addType("syshow", "uhide");
                syswitchFlag = false;
            } else {
                $(obj)[0].setAttribute("openflag", "opened");
                removeType("syshow", "uhide");
                syswitchFlag = true;
            }
            break;
    }
});

//选择交强险开始日期
function jqbegaintime() {
    addType("deng1", "uhide");
    removeType("jqplanday", "uhide");
    var date = $("#jqplanday").val();
    if(!IsNull(date)) {
        localStorage.setItem("defaultDate", date);
    }
    var openDate = {
        "fromePage": "safeplan",
        "inputId": "jqplanday",
        "type": 1
    };
    localStorage.setItem("timeFrome", JSON.stringify(openDate));
    openPopWindow("DatePicker", "../popWindow/DatePicker.html");
}

//选择商业险开始时间
function sybegaintime() {
    addType("deng2", "uhide");
    removeType("syplanday", "uhide");
    var date = $("#syplanday").val();
    if(!IsNull(date)) {
        localStorage.setItem("defaultDate", date);
    }
    var openDate = {
        "fromePage": "safeplan",
        "inputId": "syplanday",
        "type": 1
    };
    localStorage.setItem("timeFrome", JSON.stringify(openDate));
    openPopWindow("DatePicker", "../popWindow/DatePicker.html");
}

//点击确定
function safePlanOk() {
    var currentCarInfo = localStorage.getItem("currentCarinfo");
    if(IsNull(currentCarInfo)) {
        currentCarInfo = {};
    } else {
        currentCarInfo = JSON.parse(currentCarInfo);
    }
    var cityname = $("#plancity").val(); //城市
    var jqbegaintime = $("#jqplanday").val(); //交强起期
    var sybegaintime = $("#syplanday").val(); //商业起期
    if(IsNull(cityname)) {
        thenToast("请选择投保城市", 0);
        return;
    } else {
        var cityId = $("#plancity")[0].getAttribute("placeId");
        currentCarInfo.cityId = cityId; //城市id
        var qxId = $("#plancity")[0].getAttribute("thirdId");
        currentCarInfo.districtId = qxId; //区县id
        //新增额外参数
        var currentSafeOrder = localStorage.getItem("currentSafePlanOrder");
        if(IsNull(currentSafeOrder)) {
            thenToast("数据错误,请重试", 0);
            return;
        }
        currentSafeOrder = JSON.parse(currentSafeOrder);
        currentSafeOrder.provId = $("#plancity")[0].getAttribute("provId"); //省id
        currentSafeOrder.csId = $("#plancity")[0].getAttribute("placeId"); //市id
        currentSafeOrder.qxId = $("#plancity")[0].getAttribute("thirdId"); //区id
        localStorage.setItem("currentSafePlanOrder", JSON.stringify(currentSafeOrder));
    }
    if(forceFlag == false && syswitchFlag == false) {
        thenToast("交强险和商业险必须至少选择一项", 0);
        return;
    }
    if(IsNull(jqbegaintime) && forceFlag == true) {
        thenToast("请选择交强险起期", 0);
        return;
    } else {
        if(forceFlag == true) {
            if(isInsureDate(jqbegaintime, "0")) {
                currentCarInfo.ciBeginDate = jqbegaintime; //交强险起期
            } else {
                return;
            } 
        } else {
            currentCarInfo.ciBeginDate = ""; //交强险起期
        }
        
    }
    currentCarInfo.forceFlag = forceFlag; //是否选择了交强险
    if(IsNull(sybegaintime) && syswitchFlag == true) {
        thenToast("请选择商业险起期", 0);
        return;
    } else {
        if(syswitchFlag == true) {
            if(isInsureDate(sybegaintime, "1")) {
                currentCarInfo.biBeginDate = sybegaintime; //商业险起期
            } else {
                return;
            }
        } else {
            currentCarInfo.biBeginDate = ""; //商业险起期
        }
    }
    if(syswitchFlag == true) { //是否选择商业险
        if(IsNull(safePlanList)) { //打开了商业险按钮但是未选择选项，此时商业险为空
            currentCarInfo.CoverageList = [];
            if(forceFlag == false) { //交强险不购买
                thenToast("商业险和交强险必须选择一项", 0);
                return;
            };
        } else { //商业险有投保方案
            currentCarInfo.CoverageList = safePlanList;
        }
    } else { //单买交强险下商业险为空
        currentCarInfo.CoverageList = []; //投保方案
    }
    console.log("服务器完善，最终投保方案===>"+ safePlanList);
    console.log(currentCarInfo);
    showLog("车辆信息及投保方案", JSON.stringify(currentCarInfo));
    localStorage.setItem("currentCarinfo", JSON.stringify(currentCarInfo));
    appcan.window.open("safeChoose", "safeChoose.html");
}