var resetType; //页面来源
var userMobile = ""; //注册手机号
var userCode = ""; //验证码
var userPwd = ""; //注册的密码
var userName = ""; //注册用户名
var inviterId = ""; //邀请人id
var inviterMobile = ""; //邀请人电话
appcan.ready(function() {
    initInfo();
})

//初始化页面来源 数据
function initInfo(){
    resetType = localStorage.getItem("resetPwdType");
    if(IsNull(resetType)){
        
    } else if(resetType == 1) { //注册设置密码
        $("#setPasswordIn")[0].innerText = "立即注册";
        if(IsNull(localStorage.getItem("registData"))){
            thenToast("获取重置用户信息出错,请重试",0);
            return;
        }
        var regData = JSON.parse(localStorage.getItem("registData"));
        userMobile = regData.registPhone;
        userCode = regData.registCode;
        inviterId = regData.checkId;
        inviterMobile = regData.owner_mobile;
        localStorage.removeItem("registData");
        localStorage.removeItem("resetPwdType");
    } else if(resetType == 2) { //登录忘记密码
        $("#setPasswordIn")[0].innerText = "确认密码";
        $("#setpwd")[0].placeholder = "请设置登录密码";
        $("#repeatpwd")[0].placeholder = "请再次设置登录密码";
        if(IsNull(localStorage.getItem("resetData"))){
            thenToast("获取重置用户信息出错,请重试",0);
            return;
        }
        var resetData = JSON.parse(localStorage.getItem("resetData"));
        userMobile = resetData.resetPhone;
        userCode = resetData.resetcode;
        localStorage.removeItem("resetData");
    } else if(resetType == 3 || resetType == 4) { //忘记提现密码
        $("#setPasswordIn")[0].innerText = "确认密码";
        $("#setpwd")[0].placeholder = "请设置6位提现密码";
        $("#repeatpwd")[0].placeholder = "请再次设置6位提现密码";
        if(IsNull(localStorage.getItem("resetData"))){
            thenToast("获取重置用户信息出错,请重试",0);
            return;
        }
        var resetData = JSON.parse(localStorage.getItem("resetData"));
        userMobile = resetData.resetPhone;
        userCode = resetData.resetcode;
        localStorage.removeItem("resetData");
    }
}

function changeLoginBtn() {
    addType("pwdErr", "uhide");
    addType("repeatPwdErr", "uhide");
    $("#setPwdInput").css("borderBottom", "1px solid #ccc");
    $("#repeatPwdInput").css("borderBottom", "1px solid #ccc");
    var pwdOne = $("#setpwd").val();
    var pwdTwo = $("#repeatpwd").val();
    if(!IsNull(pwdOne) || !IsNull(pwdTwo)){
        $("#setPasswordIn").css("backgroundColor", "#ea4040");
    } else {
        $("#setPasswordIn").css("backgroundColor", "#dcdfe6");
    }
}

function setPassword(obj){
    var pwdOne = $("#setpwd").val();
    var pwdTwo = $("#repeatpwd").val();
    if(IsNull(pwdOne)){
        removeType("pwdErr", "uhide");
        $("#setPwdInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    if(IsNull(pwdTwo) || pwdOne != pwdTwo){
        removeType("repeatPwdErr", "uhide");
        $("#repeatPwdInput").css("borderBottom", "1px solid #ea4040");
        return;
    }
    if($(obj).attr("disabled") == "disabled"){//重复点击
        return;
    }
    $(obj).attr("disabled","disabled");
    var register = new bizUic();
    if(resetType == 1) {
        userName = userMobile;
        register.registUser(userName, userMobile, pwdOne, userCode, inviterId, inviterMobile, registSucc, registFail);
    } else if(resetType == 2) {
        register.ResetPwd(userMobile, userCode, pwdOne, resetSucc, resetFail);
    } else if(resetType == 3 || resetType == 4) {
        if(pwdOne.length != 6){
            removeType("pwdErr", "uhide");
            $("#setPwdInput").css("borderBottom", "1px solid #ea4040");
            $("#setPasswordIn").removeAttr("disabled");
            return;
        }
        register.retrievePayPassword(pwdOne, userCode, resetCashSucc, resetCashFail);
    } 
}

//注册成功
function registSucc(data){
    $("#setPasswordIn").removeAttr("disabled");
    if(IsSuccess(data) == 1){
        appcan.window.evaluateScript("register","appcan.window.close(-1)",0);
        openPopWindow('animationPOP', '../popWindow/animationPOP.html');
        var loginer = new bizUic();
        loginer.login(userMobile, userPwd, loginSucc, loginFail); //注册成功自动登录
    } else {
        thenToast(JSON.parse(data).msg, 0);
    }
}

//注册失败
function registFail(data){
    $("#setPasswordIn").removeAttr("disabled");
    thenToast("连接服务器失败，请重试", 0);
}

//登陆成功
function loginSucc(data) {
    console.log("登录信息==>" + data);
    uexWindow.closePopover('animationPOP');
    var loginData = JSON.parse(data);
    if(loginData.result == 1999) {
        localStorage.setItem("mytoken", loginData.token);
        var userInfo = {}; //用户信息
        userInfo.token = loginData.token; //token
        userInfo.userId = loginData.id; //userId
        userInfo.easmPsw = loginData.pwd; //psw
        userInfo.userName = loginData.aliasName; //userName
        userInfo.userPhone = userphone; //userPhone
        userInfo.userUrl = loginData.photourl;
        userInfo.IsPwdMoney = loginData.isHavePayPwd; //是否设置了取款密码标志
        userInfo.IsAuthenticate = loginData.isrealname; //是否实名认证
        userInfo.hasAgent = loginData.agentMark; //是否已经有上级代理
        userInfo.isRealied = loginData.isrealname; //是否实名认证
        localStorage.setItem("curUseInfo", JSON.stringify(userInfo));
        var historyLogin = {};
        historyLogin.userUrl = loginData.photourl;
        historyLogin.userPhone = userphone;
        localStorage.setItem("historyLoginPhone", JSON.stringify(historyLogin));
        appcan.window.publish("tomainpage", ''); //跳转到首页
        appcan.window.bringPopoverToFront('root');
        appcan.window.evaluateScript("login","appcan.window.close(-1)",0);
        appcan.window.evaluateScript("registerNext","appcan.window.close(-1)",0);
    } else {
        thenToast("自动登录失败，请返回手动登录", 0);
    }
}

//登陆失败
function loginFail(data) {
    thenToast("连接服务器失败，请重试", 0);
    uexWindow.closePopover('animationPOP');
}

//重置登录密码成功
function resetSucc(data) {
    $("#setPasswordIn").removeAttr("disabled");
    var objdata = JSON.parse(data);
    if(objdata.result == 1999) {
        thenToast("登录密码修改成功！", 0);
        localStorage.removeItem("resetPwdType");
        appcan.window.evaluateScript("forgetpsw", "appcan.window.close(-1)", 0);
        appcan.window.evaluateScript("registerNext", "appcan.window.close(-1)", 0);
    } else {
        thenToast(objdata.msg, 0);
    }
}

//重置登录密码失败
function resetFail(data) {
    $("#setPasswordIn").removeAttr("disabled");
    thenToast("连接服务器失败，请重试", 0);
}

//重置提现密码成功
function resetCashSucc(data) {
    $("#setPasswordIn").removeAttr("disabled");
    var objdata = JSON.parse(data);
    if(objdata.result == 1999) {
        thenToast("提现密码修改成功！", 0);
        var userInfo = JSON.parse(localStorage.getItem("curUseInfo"));
        userInfo.IsPwdMoney = "1";
        localStorage.setItem("curUseInfo", JSON.stringify(userInfo));
        localStorage.removeItem("resetPwdType");
        appcan.window.evaluateScript("forgetpsw", "appcan.window.close(-1)", 0);
        appcan.window.evaluateScript("registerNext", "appcan.window.close(-1)", 0);
    } else {
        thenToast(objdata.msg, 0);
    }
}

//重置提现密码失败
function resetCashFail(data) {
    $("#setPasswordIn").removeAttr("disabled");
    thenToast("连接服务器失败，请重试", 0);
}